<?php

global $plugin;

// Cart For WooCommerce
// -------------------------
if( "woo" == $plugin ) : ?>
  <?php global $woocommerce; ?>
  <li class="shopping-bag">
    <a href="<?php echo $woocommerce->cart->get_cart_url(); ?>">
      <?php _e("Shopping Bag","colabsthemes"); ?> (<?php echo $woocommerce->cart->cart_contents_count; ?>)
    </a>
    <!-- <div class="widget_shopping_cart clearfix"> -->
      <?php
      if (sizeof($woocommerce->cart->get_cart())>0) : 
        echo '<ul class="cart_list product_list_widget cart-product-list dropdown-menu">';
          foreach ($woocommerce->cart->get_cart() as $cart_item_key => $cart_item) :
              $_product = $cart_item['data'];
              if ($_product->exists() && $cart_item['quantity']>0) :

                  echo '<li class="cart_list_product">'."\n";
                  echo '<a href="'. get_permalink($cart_item['product_id']). '">'."\n";
                  echo $_product->get_image( array( 55, 55 ) );
                  echo apply_filters('woocommerce_cart_widget_product_title', $_product->get_title(), $_product) .'</a>';
                  echo '<span class="quantity">' .$cart_item['quantity'].' &times; '.woocommerce_price($_product->get_price()).'</span>'."\n";
                  echo '</li>'."\n";

              endif;
          endforeach;
              
          if (sizeof($woocommerce->cart->get_cart())>0) :
              echo '<li class="total">'."\n";
              echo '<div class="total-block">'."\n";
              echo '<strong>'. __('Subtotal:', 'colabsthemes') .'</strong>'. $woocommerce->cart->get_cart_total() ."\n";
              echo '</div>'."\n";
              echo '</li>';
              echo '<li class="buttons">'."\n";
              echo '<a class="cart btn" href="'.$woocommerce->cart->get_cart_url().'">'. __('View Cart &rarr;', 'colabsthemes') .'</a>'."\n";
              echo '<a class="checkout btn" href="'.$woocommerce->cart->get_checkout_url().'">'. __('Checkout &rarr;', 'colabsthemes') .'</a>'."\n";
              echo '</li>'."\n";
          endif;
              
          echo '</ul>';
      else :

      // If cart empty
      echo '<ul class="cart_list product_list_widget cart-product-list dropdown-menu">';
        echo '<li class="empty">'.__('No products in the cart.', 'colabsthemes').'</li>';
      echo '</ul>';
      endif;

      ?>
    <!-- </div> .widget_shopping_cart -->
  </li>
<?php endif; ?>


<?php

// Cart for Jigoshop
// -------------------------
if( "jigoshop" == $plugin ) : ?>
  <li class="shopping-bag">
    <a href="<?php echo get_permalink(get_option('jigoshop_cart_page_id')); ?>">
      <?php 
		$qty = 0;
		if (sizeof(jigoshop_cart::$cart_contents)>0) : foreach (jigoshop_cart::$cart_contents as $item_id => $values) :	
		$qty += $values['quantity'];
		endforeach; endif;
		_e("Shopping Bag","colabsthemes"); ?> (<?php echo $qty; ?>)
    </a>
    <!-- <div class="widget_shopping_cart clearfix"> -->
      <?php
        $cart_contents = jigoshop_cart::$cart_contents;

        // If there are items in the cart print out a list of products
        if ( ! empty( $cart_contents ) ) {

          // Open the list
          echo '<ul class="cart_list product_list_widget cart-product-list dropdown-menu">';

          foreach ( $cart_contents as $key => $value ) {
            // Get product instance
            $_product = $value['data'];

            if ( $_product->exists() && $value['quantity'] > 0 ) {
              echo '<li class="cart-product">'."\n";
                // Print the product image & title with a link to the permalink
                echo '<a href="' . esc_attr( get_permalink( $_product->id ) ) . '" title="' . esc_attr( $_product->get_title() ) . '">';

                // Print the product thumbnail image if exists else display placeholder
                echo (has_post_thumbnail( $_product->id ) )
                    ? get_the_post_thumbnail( $_product->id, array( 48, 48 ) )
                    : jigoshop_get_image_placeholder( array( 48, 48 ) );

                // Print the product title
                echo $_product->get_title();
                echo '</a>';

                // Print the quantity & price per product
                echo '<span class="quantity">' . $value['quantity'].' &times; '.$_product->get_price_html().'</span>'."\n";
              echo '</li>';
            } // End if $_product exists
          } // End foreach $cart_contents

          echo '<li class="total">'."\n";
          echo '<div class="total-block">'."\n";
          echo '<strong>'. __('Subtotal:', 'colabsthemes') .'</strong><span class="amount">'. jigoshop_cart::get_cart_total() . '</span>'."\n";
          echo '</div>'."\n";
          echo '</li>';
          echo '<li class="buttons">'."\n";
          echo '<a class="cart" href="'.esc_attr( jigoshop_cart::get_cart_url() ).'"><span>'. __('View Cart &rarr;', 'colabsthemes') .'</span></a>'."\n";
          echo '<a class="checkout" href="'.esc_attr( jigoshop_cart::get_checkout_url() ).'"><span>'. __('Checkout &rarr;', 'colabsthemes') .'</span></a>'."\n";
          echo '</li>'."\n";

          echo '</ul>'; // Close the list

          // Print the cart total

        } // End if empty $cart_contents

        else {
          echo '<ul class="cart_list product_list_widget cart-product-list dropdown-menu">';
          echo '<li class="empty">'.__('No products in the cart.', 'colabsthemes').'</li>';
          echo '</ul>';
        }
      ?>
    <!-- </div> .widget_shopping_cart -->
  </li><!-- .shopping-bag -->
<?php endif; ?>


<?php

// Shopping Cart for WPEC
// -------------------------
if( 'wpsc' == $plugin ) : ?>
  <li class="shopping-bag">
    <a href="<?php echo get_option('shopping_cart_url'); ?>">
      <?php _e("Shopping Bag","colabsthemes"); ?> (<?php echo wpsc_cart_item_count(); ?>)
    </a>
    <ul class="cart_list">
      <?php include( wpsc_get_template_file_path( 'wpsc-cart_widget.php' ) ); ?>
    </ul>
  </li><!-- .shopping-bag -->
<?php endif; ?>