<?php
/*-----------------------------------------------------------------------------------*/
/* Start ColorLabs Functions - Please refrain from editing this section */
/*-----------------------------------------------------------------------------------*/
error_reporting(0);

if ( ! isset( $content_width ) ) $content_width = 846;

// Set path to ColorLabs Framework and theme specific functions
$functions_path = get_template_directory() . '/functions/';
$includes_path = get_template_directory() . '/includes/';

// ColorLabs Admin
require_once ($functions_path . 'admin-init.php');			// Admin Init

// Theme specific functionality
$includes = array(
				'includes/theme-functions.php', 		// Custom theme functions
				'includes/theme-actions.php', 			// Theme actions & user defined hooks
        'includes/theme-options.php', 			// Options panel settings and custom settings
				'includes/theme-comments.php', 			// Custom comments/pingback loop
				'includes/theme-js.php', 				// Load JavaScript via wp_enqueue_script
				'includes/theme-sidebar-init.php', 		// Initialize widgetized areas
				'includes/theme-widgets.php',			// Theme widgets
				'includes/theme-custom-type.php',			// Theme widgets
				'includes/theme-megamenu.php',			// Theme widgets,
				'includes/featured-block/featured-block.php', // Frontpage featured block
				);

// Theme-Specific
//$includes[] = 'includes/theme-advanced.php';			// Advanced Theme Functions
$includes[] = 'includes/theme-shortcodes.php';	 		// Custom theme shortcodes

// E Commerce
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
if (is_plugin_active('woocommerce/woocommerce.php'))
	$includes[] = 'includes/theme-woocommerce.php';		// WooCommerce overrides

if(is_plugin_active('jigoshop/jigoshop.php'))
	$includes[] = 'includes/theme-jigoshop.php';		// JigoShop overrides

// Include the user's custom_functions file, but only if it exists
if (file_exists( COLABS_CUSTOM . 'custom_functions.php'))
	include_once( COLABS_CUSTOM . 'custom_functions.php' );

// Allow child themes/plugins to add widgets to be loaded.
$includes = apply_filters( 'colabs_includes', $includes );
			
foreach ( $includes as $i ) {
	locate_template( $i, true );
}


/*-----------------------------------------------------------------------------------*/
/* Megamenu change backend walker*/
/*-----------------------------------------------------------------------------------*/
if(!function_exists('colabs_ajax_switch_menu_walker'))
{
	function colabs_ajax_switch_menu_walker()
	{	
		if ( ! current_user_can( 'edit_theme_options' ) )
		die('-1');

		check_ajax_referer( 'add-menu_item', 'menu-settings-column-nonce' );
	
		require_once ABSPATH . 'wp-admin/includes/nav-menu.php';
	
		$item_ids = wp_save_nav_menu_items( 0, $_POST['menu-item'] );
		if ( is_wp_error( $item_ids ) )
			die('-1');
	
		foreach ( (array) $item_ids as $menu_item_id ) {
			$menu_obj = get_post( $menu_item_id );
			if ( ! empty( $menu_obj->ID ) ) {
				$menu_obj = wp_setup_nav_menu_item( $menu_obj );
				$menu_obj->label = $menu_obj->title; // don't show "(pending)" in ajax-added items
				$menu_items[] = $menu_obj;
			}
		}
	
		if ( ! empty( $menu_items ) ) {
			$args = array(
				'after' => '',
				'before' => '',
				'link_after' => '',
				'link_before' => '',
				'walker' => new colabs_backend_walker,
			);
			echo walk_nav_menu_tree( $menu_items, 0, (object) $args );
		}
		
		die('end');
	}
	
	//hook into wordpress admin.php
	add_action('wp_ajax_colabs_ajax_switch_menu_walker', 'colabs_ajax_switch_menu_walker');
}

add_theme_support('colabs_mega_menu');
if(current_theme_supports( 'colabs_mega_menu' ) ) { new colabs_megamenu(); }

/*-----------------------------------------------------------------------------------*/
/* WordPress 3.0 New Features Support */
/*-----------------------------------------------------------------------------------*/

if ( function_exists('register_nav_menus') ) {
	add_theme_support( 'nav-menus' );
    register_nav_menus( array(
        'top-menu' => __( 'Top Menu','colabsthemes' ),
        'main-menu' => __( 'Main Menu','colabsthemes' ),
    ));    
}
//disable plugin woocommerce and jigoshop
	if(is_admin()){
		include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); 
		If (is_plugin_active('woocommerce/woocommerce.php')) update_option('woocommerce_frontend_css','no');
		If (is_plugin_active('jigoshop/jigoshop.php')) {
			$data = array();
			foreach( get_option('jigoshop_options') as $k => $v) {
				if('jigoshop_disable_css' == $k)
					$data[$k] = 'yes';
				else
					$data[$k] = $v;
			}
			
			update_option('jigoshop_options',$data);
			update_option('jigoshop_disable_css','no');
		}
	}

	$themecolors = array(
    'bg' => 'ffffff',
    'text' => '444',
    'link' => 'bbb'
	);
?>