<!DOCTYPE html>
<!--[if lt IE 7]> <html class="no-js lt-ie9 lt-ie8 lt-ie7 ie" lang="en"> <![endif]-->
<!--[if IE 7]>    <html class="no-js lt-ie9 lt-ie8 ie7" lang="en"> <![endif]-->
<!--[if IE 8]>    <html class="no-js lt-ie9 ie8" lang="en"> <![endif]-->
<!--[if gt IE 8]><!--> <html <?php language_attributes(); ?>> <!--<![endif]-->

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php if ( function_exists( 'colabs_title') ){ colabs_title(); }else{ echo get_bloginfo('name'); ?>&nbsp;<?php wp_title(); } ?></title>
<?php
	if ( function_exists( 'colabs_meta') ) colabs_meta();
	if ( function_exists( 'colabs_meta_head') )colabs_meta_head(); 
    global $colabs_options,$site_title,$site_url,$site_description;    
?>
  
  <!--[if lt IE 9]>
    <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/includes/js/html5shiv.js"></script>
  <![endif]-->

<?php 
    if ( function_exists( 'colabs_head') ) colabs_head();
	$site_title = get_bloginfo( 'name' );
	$site_url = home_url( '/' );
	$site_description = get_bloginfo( 'description' );
	include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
	global $colabs_posttype,$colabs_taxonomy,$woocommerce,$plugin;
	if (is_plugin_active('wp-e-commerce/wp-shopping-cart.php')) {
		$colabs_posttype='wpsc-product';
		$colabs_taxonomy='wpsc_product_category';
		$plugin='wpsc';
	}else if (is_plugin_active('jigoshop/jigoshop.php')){
		$colabs_posttype='product';
		$colabs_taxonomy='product_cat';
		$plugin='jigoshop';
	}else if (is_plugin_active('woocommerce/woocommerce.php')){
		$colabs_posttype='product';
		$colabs_taxonomy='product_cat';	
		$plugin='woo';
	}else{
		$colabs_posttype='post';
		$colabs_taxonomy='category';
		$plugin='';
	}
	
	global $current_user;
  get_currentuserinfo();

  $is_mobile_disabled_class = ' mobile-enabled ';
  if( isset($colabs_options['colabs_disable_mobile']) && 'true' == $colabs_options['colabs_disable_mobile'] ) {
  	$is_mobile_disabled_class = ' mobile-disabled ';
  	echo '<meta name="viewport" content="width=1200">';
  }

  wp_head(); 
?>

</head>
<body <?php body_class($plugin . $is_mobile_disabled_class); ?>>
<div class="container">
  <div class="row">
  
  <div class="top-block row">
    <div class="top-left-block top-block-menu">
      <?php wp_nav_menu( array( 'theme_location' => 'top-menu', 'container_class' => '', 'menu_class' => 'menu', 'fallback_cb'=>'colabs_nav_fallback', 'depth' =>1) );?>
    </div><!-- .top-left-block -->
    
    <div class="top-right-block top-block-menu">
      <ul>
				<?php 
				if(!is_user_logged_in()) {
					if(get_option('users_can_register')){
						echo '<li><a href="'.home_url().'/wp-login.php?action=register" class="">'.__('Register','colabsthemes').' / </a></li>';
					}
					echo '<li><a href="'.home_url().'/wp-login.php" class="buttons blue">'. __('Sign In','colabsthemes').'</a></li>';
				}else{		
					if ('wpsc'==$plugin)$urlproduct= get_option('user_account_url');
					elseif('jigoshop'==$plugin)$urlproduct= get_permalink( get_option('jigoshop_myaccount_page_id') );
					elseif('woo'==$plugin)$urlproduct= get_permalink( get_option('woocommerce_myaccount_page_id') );

          echo '<li class="account-name"> '.__("Welcome","colabsthemes").', '.'<a href="'.$urlproduct.'" class="buttons orange">'.$current_user->display_name.'</a></li>';
          echo '<li><a href="'.wp_logout_url( get_permalink() ).'" class="buttons blue">'. __('Log Out','colabsthemes').'</a></li>';
				}
				?>
				<?php get_template_part('content', 'cart'); ?>
    	</ul><!-- .top-right-menu -->
      
      <form class="search-box" action="<?php echo home_url(); ?>">
        <input type="text" placeholder="<?php esc_attr_e("Search","colabsthemes"); ?>..." id="s" name="s">
        <i class="icon-search"></i>
      </form>
    </div><!-- .top-right-block -->
    
    <button class="topslide-button"><i class="icon-caret-down"></i></button>
  </div><!-- .top-block -->
  
  <header class="header">
    <div class="branding">
      <h1>
		<a href="<?php echo $site_url;?>">
			<?php
			if ('logo'==get_option('colabs_logotitle')){
				echo '<img src="' . get_option('colabs_logo') . '" alt="' . $site_title . '" />';
			}else {
				echo $site_title;
			} // End IF Statement
			?>
  		</a>
	  </h1>
    </div><!-- .branding -->
    
      <a class="btn-navbar collapsed">
      	<div class="btn-navbar-icon">
	        <span class="icon-bar"></span>
	        <span class="icon-bar"></span>
	        <span class="icon-bar"></span>
	      </div>
      	<span class="btn-navbar-text"><?php _e('Menu', 'colabsthemes'); ?></span>
      </a>
      
      <nav class="top-nav">
        <div class="nav-collapse collapse">  
          <?php wp_nav_menu( array( 'theme_location' => 'main-menu', 'container_class' => '', 'menu_class' => 'menu', 'fallback_cb'=>'colabs_nav_fallback') );?>
        </div>
      </nav><!-- .top-nav -->
    
  </header><!-- .header -->	