<?php
$themename =  get_option( 'colabs_themename' );
$manualurl =  get_option( 'colabs_manual' );
$theme_data = get_theme_data( get_template_directory() . '/style.css' );
$colabs_framework_version = get_option( 'colabs_framework_version' );
$local_version = $theme_data['Version'];
$pos = strpos($manualurl, 'documentation' );
$theme_slug = str_replace( "/", "", substr($manualurl, ($pos + 13))); //13 for the word documentation
?>

<?php if( isset($_POST['submitted']) ) : ?>
	<div class="updated" style="display: block; margin-left: 4px;">
		<p><?php _e('Your settings have been saved.','colabsthemes'); ?></p>
	</div>
<?php endif; ?>

<div class="wrap colabs_container">
	<form action="" method="post" id="colabsform">
		<input name="page" type="hidden" value="featured_block">
		<div style="width:100%;padding-top:15px;"></div>
		
		<div id="main" class="menu-item-settings metabox-holder">
			<div id="panel-header">
				<?php colabsthemes_options_page_header(''); ?>
			</div><!-- #panel-header -->

			<div id="sidebar-nav">
				<ul>
					<li class="general">
		        <a title="Featured Block Options" href="#colabs-option-featuredblock">
		          <img src="<?php echo get_template_directory_uri(); ?>/functions/images/icon/menu/general-settings.png">
		          <span>Featured Block Options</span></a>
		      </li>
				</ul>
			</div><!-- #sidebar-nav -->

			<div id="panel-content">
				<div class="group help-block-fixed">
					<?php _e('Featured block will appear on the frontpage, below the slider. If this options is empty, featured category will shown instead.', 'colabsthemes'); ?>
				</div>

				<div class="group" id="colabs-option-featuredblock">
					<div class="section section-featured-block">
						<h3 class="heading">Featured Block</h3>
						<div class="option">
							<a href="#add-block" class="button add_block_button"><?php _e('Add Block', 'colabsthemes'); ?></a>

							<ul class="featured-block-list">
								<?php 
									echo colabs_render_featured_block_admin(); 
								?>
							</ul>
						</div>
					</div>
				</div>

				<div class="clear"></div>
			</div><!-- #panel-content -->

			<div id="panel-footer">
				<ul>
					<li class="docs"><a title="Theme Documentation" href="<?php echo $manualurl; ?>/documentation/<?php echo strtolower( str_replace( " ","",$themename ) ); ?>" target="_blank" >View Documentation</a></li>
					<li class="forum"><a href="http://colorlabsproject.com/resolve/" target="_blank">Submit a Support Ticket</a></li>
					<li class="idea"><a href="http://ideas.colorlabsproject.com/" target="_blank">Suggest a Feature</a></li>
				</ul>
				<div class="save-bar save_bar_top right">
					<img style="display:none" src="<?php echo get_template_directory_uri(); ?>/functions/images/ajax-loading.gif" class="ajax-loading-img ajax-loading-img-top" alt="Working..." />
					<input type="submit" value="Save Changes" class="button submit-button button-primary" />
					<input name="submitted" type="hidden" value="yes" />
				</div><!-- .save-bar -->
			</div><!-- #panel-footer -->
		</div><!-- #main -->

	</form>

	<ul style="display: none"><?php echo colabs_featured_block_html(); ?></ul>

</div><!-- .colabs_container -->