(function($)
{
	var colabs_mega_menu = {
	
		recalcTimeout: false,
	
		// bind the click event to all elements with the class colabs_uploader 
		bind_click: function()
		{
			var megmenuActivator = $('.menu-item-colabs-megamenu', '#menu-to-edit');
				
				megmenuActivator.live('click', function()
				{	
					var checkbox = $(this),
						container = checkbox.parents('.menu-item:eq(0)');
				
					if(checkbox.is(':checked'))
					{
						container.addClass('colabs_mega_active');
					}
					else
					{
						container.removeClass('colabs_mega_active');
					}
					
					//check if anything in the dom needs to be changed to reflect the (de)activation of the mega menu
					colabs_mega_menu.recalc();
					
				});
		},
		
		recalcInit: function()
		{
			$( ".menu-item-bar" ).live( "mouseup", function(event, ui) 
			{
				if(!$(event.target).is('a'))
				{
					clearTimeout(colabs_mega_menu.recalcTimeout);
					colabs_mega_menu.recalcTimeout = setTimeout(colabs_mega_menu.recalc, 500);  
				}
			});
		},
		
		
		recalc : function()
		{
			menuItems = $('.menu-item', '#menu-to-edit');
			
			menuItems.each(function(i)
			{
				var item = $(this),
					megaMenuCheckbox = $('.menu-item-colabs-megamenu', this);
				
				if(!item.is('.menu-item-depth-0'))
				{
					var checkItem = menuItems.filter(':eq('+(i-1)+')');
					if(checkItem.is('.colabs_mega_active'))
					{
						item.addClass('colabs_mega_active');
						megaMenuCheckbox.attr('checked','checked');
					}
					else
					{
						item.removeClass('colabs_mega_active');
						megaMenuCheckbox.attr('checked','');
					}
				}				
				
				
				
				
				
			});
			
		},
		
		//clone of the jqery menu-item function that calls a different ajax admin action so we can insert our own walker
		addItemToMenu : function(menuItem, processMethod, callback) {
			var menu = $('#menu').val(),
				nonce = $('#menu-settings-column-nonce').val();

			processMethod = processMethod || function(){};
			callback = callback || function(){};

			params = {
				'action': 'colabs_ajax_switch_menu_walker',
				'menu': menu,
				'menu-settings-column-nonce': nonce,
				'menu-item': menuItem
			};

			$.post( ajaxurl, params, function(menuMarkup) {
				var ins = $('#menu-instructions');
				processMethod(menuMarkup, params);
				if( ! ins.hasClass('menu-instructions-inactive') && ins.siblings().length )
					ins.addClass('menu-instructions-inactive');
				callback();
			});
		}

};
	

	
	$(function()
	{
		colabs_mega_menu.bind_click();
		colabs_mega_menu.recalcInit();
		colabs_mega_menu.recalc();
		if(typeof wpNavMenu != 'undefined'){ wpNavMenu.addItemToMenu = colabs_mega_menu.addItemToMenu; }
 	});

	function checkbox_check( $checkbox ) {
		if( $checkbox.is(':checked') ) {
			$checkbox.closest('p').next('.colabs_mega_menu_meta').show();
		} else {
			$checkbox.closest('p').next('.colabs_mega_menu_meta').hide();
		}
	}

	$('.menu-item-colabs-thumbnail').on('change', function(){
		var $checkbox = $(this);
		checkbox_check( $checkbox );
	});

	$(document).ready(function(){
		$('.menu-item-colabs-thumbnail').each(function(){
			checkbox_check( $(this) );
		});
	});
})(jQuery);	 