(function($){
$(document).ready(function(){

/* ===================================================================
  #Minor Modification
=================================================================== */
/* Submenu */
$('.top-nav ul:first').addClass('sf-menu').superfish({
  delay: 300,
  animation: { opacity: 'show' },
  speed: 'fast',
  dropShadows: false,
  onInit: function() {
    var $el = $(this);
    // Replace submenu indicator
    //$el.find('.sf-sub-indicator').html('&rsaquo;');
  }
});

/* Placeholder Polyfill */
$('input, textarea').placeholder();

/* Cart Dropdown */
$('.top-right-block > ul').addClass('sf-menu').superfish({
  delay: 300,
  animation: { opacity: 'show' },
  speed: 'fast',
  dropShadows: false,
  autoArrows: false
});

/* Nth-child helper for IE */
$('.footer-widgets .widget:nth-child(4n+5)').addClass('alpha');

/* Responsive Table */
$('.main-content table').wrap('<div class="table-wrap overthrow"></div>');



/* ===================================================================
  Scroll To 
====================================================================*/
$('body').delegate('.scroll-to', 'click', function(e){
  e.preventDefault();
  var $el     = $(this),
      target  = $el.attr('href'),
      targetScroll;

  // Determine scroll target position
  if( $(target).length > 0 ) {
    targetScroll = $(target).position().top;
  } else {
    if( target == '#top' ) {
      targetScroll = 0;
    } else if( target == '#bottom' ) {
      targetScroll = $('body').height()
    }
  }

  // Animate Scroll
  $('body').animate({ scrollTop: targetScroll });
});


/* ===================================================================
  #Main Slider
=================================================================== */
function mainSlider() {
  var $mainSlider = $('.main-slider-container'),
      $mainSliderNav = $('.main-slider-dirnav'),
      $mainSliderPager = $('.main-slider-pager'),
      $prev = $mainSliderNav.find('.prev'),
      $next = $mainSliderNav.find('.next'),
      slideLen = $mainSlider.children().length,
      setNavThumb,

      // Animation Configuration
      isScrolling = false,
      animateLeft = {
        left: -50,
        opacity: 0
      },
      animateCurrent = {
        left: 0,
        opacity: 1
      },
      animateRight = {
        left: 50,
        opacity: 0
      }
      animSpeed = 550;


  // Set data-index for each slide
  $mainSlider.children().each(function(i){
    $(this).attr('data-index', i+1);
  });

  // Set direction nav thumbnail
  setNavThumb = function( current ) {
    var currentIndex = current.data('index'),
        prevIndex = currentIndex - 1,
        nextIndex = currentIndex + 1;

    prevIndex = ( prevIndex === 0 ) ? slideLen : prevIndex;
    nextIndex = ( nextIndex > slideLen ) ? 1 : nextIndex;
    $prev.find('.thumbnail').css('background-image', 'url(' + $mainSlider.find('a[data-index="'+ prevIndex +'"]').data('thumb') + ')');
    $next.find('.thumbnail').css('background-image', 'url(' + $mainSlider.find('a[data-index="'+ nextIndex +'"]').data('thumb') + ')');
  };


  $mainSlider.css('opacity', 0);
  $mainSlider.imagesLoaded(function(){
    var interval = ( typeof colabs_slider_options.interval != "undefined" ) ? colabs_slider_options.interval : 3000;

    $mainSlider.carouFredSel({
      auto: parseInt( interval ),
      // infinite: false,
      // circular: false,
      responsive: true,
      prev: {
        button: $prev,
        conditions: function() {
          return (!isScrolling);
        },
        onBefore: function(data) {
          isScrolling = true;
          $(this).delay(400);

          data.items.old.find('.brand-title')
            .delay(100)
            .animate( animateRight, animSpeed );

          data.items.old.find('.slide-title')
            .delay(200)
            .animate( animateRight, animSpeed );

          data.items.old.find('.more')
            .delay(300)
            .animate( animateRight, animSpeed );

          data.items.visible.find('.brand-title, .slide-title, .more').css(animateLeft);
        },
        onAfter: function(data) {
          data.items.old.find('.brand-title, .slide-title, .more').css( animateCurrent );

          data.items.visible.find('.brand-title')
            .css( animateLeft )
            .animate( animateCurrent, animSpeed );

          data.items.visible.find('.slide-title')
            .delay(100)
            .css( animateLeft )
            .animate( animateCurrent, animSpeed );

          data.items.visible.find('.more')
            .delay(200)
            .css( animateLeft )
            .animate( animateCurrent, animSpeed, function(){
              isScrolling = false;
            });

          isScrolling = false;
          setNavThumb( data.items.visible );
        }
      },
      next: {
        button: $next,
        conditions: function() {
          return (!isScrolling);
        },
        onBefore: function(data) {
          isScrolling = true;
          $(this).delay(400);

          data.items.old.find('.brand-title')
            .delay(100)
            .animate( animateLeft, animSpeed );

          data.items.old.find('.slide-title')
            .delay(200)
            .animate( animateLeft, animSpeed );

          data.items.old.find('.more')
            .delay(300)
            .animate( animateLeft, animSpeed );

          data.items.old.next().find('.brand-title, .slide-title, .more').css(animateRight);
        },
        onAfter: function(data) {
          data.items.old.find('.brand-title, .slide-title, .more').css( animateCurrent );

          data.items.visible.find('.brand-title')
            .css( animateRight )
            .animate( animateCurrent, animSpeed );

          data.items.visible.find('.slide-title')
            .delay(100)
            .css( animateRight )
            .animate( animateCurrent, animSpeed );

          data.items.visible.find('.more')
            .delay(200)
            .css( animateRight )
            .animate( animateCurrent, animSpeed, function(){
              isScrolling = false;
            });

          isScrolling = false;
          setNavThumb( data.items.visible );
        }
      },
      swipe: {
        onTouch: true
      },
      // pagination: $mainSliderPager,
      items: {
        visible: 1,
        height: 'variable'
      }
    }, {
      transition: true
    });
    setNavThumb($mainSlider.triggerHandler('currentVisible'));
    $mainSlider.delay(500).fadeTo(500, 1);
  });

}
if( $('.main-slider').length > 0 ) {
  mainSlider();
}


/* ===================================================================
  #Block Masonry
=================================================================== */
function blockMasonry( $el, gutter ) {
  var $block = $el,
      classname = '';

  if( $block.children().length > 0 ) {
    classname = '.' + $block.children().get(0).className;
  }

  $block.css('opacity', 0);
  $block.imagesLoaded(function(){
    $block.masonry({
      itemSelector: classname,
      gutterWidth: gutter
      // isResizable: true
    });
    $block.delay(200).fadeTo(500, 1);
  });

  // $(window).on('resize', function(){
  //   $block.masonry().reload();
  // });
}

// Featured Category Masonry
// -------------------------
if( $('.featured-category').length > 0 ) {
  blockMasonry( $('.block-masonry'), 10 );
}

// Product List Masonry
// --------------------
if( $('.product-masonry').length > 0 ) {
  if( $('body').hasClass('page-template-template-bestseller-php') || 
      $('body').hasClass('page-template-template-sale-php') ||
      $('body').hasClass('page-template-template-newarrivals-php') ) {
    blockMasonry( $('.product-masonry .products'), 44 );
  } else {
    blockMasonry( $('.product-masonry .products'), 45 );
  }
}


/* ===================================================================
  #Featured Brands
=================================================================== */
function brandsCarousel() {
  var $brands = $('.featured-brands ul'),
      $brandsNav = $('.featured-brands-nav');

  // Remove width attribute to fix bug on IE
  $brands.find('img').removeAttr('width');

  $brands.css('opacity', 0);
  $brands.imagesLoaded(function(){
    $brands.carouFredSel({
      auto: false,
      infinite: false,
      circular: false,
      width: '100%',
      align: 'center',
      swipe: {
        onTouch: true
      },
      prev: $brandsNav.find('.prev'),
      next: $brandsNav.find('.next'),
      items: {
        visible: {
          min: 1,
          max: 6
        }
      }
    }, {
      transition: true
    });
    $brands.delay(200).fadeTo(500, 1);
  });
}
if( $('.featured-brands').length > 0 ) {
  brandsCarousel();
}


/* ===================================================================
  #Single Product Accordion
=================================================================== */
$('.product-accordion .panel-title').click(function(){
  var $title = $(this),
      $content = $title.nextAll(),
      $accordion = $('.product-accordion');

  // if( $('.product-accordion .panel').length == 1 ) {
  //   $title.toggleClass('active');
  //   $content.slideToggle();
  // } else {
  //   if( !$content.is(":visible") ) {
  //     $accordion.find('.panel-title').removeClass('active');
  //     $title.addClass('active');

  //     $accordion.find('.panel-content').slideUp();
  //     $content.slideDown();
  //   }
  // }
  $title.toggleClass('active');
  $content.slideToggle();
});
$('.product-accordion .panel-title:first').trigger('click');

/* ===================================================================
  #Top Block on Tablet
=================================================================== */
$(window).bind('resize load', function(){
  var $window = $(window),
      $topBlock = $('.top-block');

  if( $window.width() <= 977 ) {
    $topBlock.css('margin-top', $topBlock.outerHeight() * -1);
  } else {
    $topBlock.css('margin-top', 0);
  }
});

$('.topslide-button').click(function(){
  $('body').toggleClass('slidein');
});


/* Mobile nav collapse
------------------------------------------------------------------- */
$('.btn-navbar').click(function(e){
  e.preventDefault();
  var $el = $(this),
      $navCollapse = $('.nav-collapse');

  // If collapsed
  if( $el.hasClass('collapsed') ) {
    $navCollapse.height( $navCollapse.children().outerHeight(true) );
    $el.removeClass('collapsed');
  } else {
    $navCollapse.height(0);
    $el.addClass('collapsed');
  }
});

/* Mailchimp Button
------------------------------------------------------------------- */
$('.widget_colabs_mailchimp .button-icon').click(function(e){
  e.preventDefault();
  $(this).parents('form').trigger('submit');
});


/* Wrap text on woocommerce product list widget
------------------------------------------------------------------- */
if( $('.product_list_widget li').length > 0 ) {
  $('.product_list_widget li').each(function(index){
    if( $(this).find('img').length > 0 ) {
      var $this = $(this),
          text = $this.find('img')[0].nextSibling,
          title;

      if( text ) {
        title = '<span class="product_list_title">'+ text.nodeValue +'</span>';
        text.parentNode.removeChild( text );
        $this.find('img').after( title );
      }
    }
  });
}


});

$(window).load(function(){
	$('.product-ordering select, .variations select').selectbox();
});
})(jQuery);