<?php

add_action('init', 'brands_register');

if ( ! function_exists( 'brands_register' ) ) {
function brands_register() {
    
	include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
	global $colabs_posttype,$colabs_taxonomy,$woocommerce,$plugin;
	if (is_plugin_active('wp-e-commerce/wp-shopping-cart.php')) {
		$colabs_posttype='wpsc-product';
	}else if (is_plugin_active('jigoshop/jigoshop.php')){
		$colabs_posttype='product';
	}else if (is_plugin_active('woocommerce/woocommerce.php')){
		$colabs_posttype='product';
	}
	if(''!=$colabs_posttype){

	register_taxonomy('brands',
			array ( $colabs_posttype ),
			array (
			'labels' => array (
					'name' => 'Brands',
					'singular_name' => 'Brands',
					'search_items' => 'Search Brands',
					'popular_items' => 'Popular Brand',
					'all_items' => 'All Brand',
					'parent_item' => 'Parent Brand',
					'parent_item_colon' => 'Parent Brand:',
					'edit_item' => 'Edit Brand',
					'update_item' => 'Update Brand',
					'add_new_item' => 'Add New Brand',
					'new_item_name' => 'New Brand',
                    ),
					'hierarchical' =>true,
					'show_ui' => true,
					'show_tagcloud' => true,
                    'query_var' => true,
					'rewrite' => array( 'slug' => 'brand' ),
            ));
	flush_rewrite_rules();		
    }
    
}
}  



/* ===================================================================
	Custom Post Type Slider
=================================================================== */
if( !function_exists( 'colabs_posttype_slider' ) ) {
	function colabs_posttype_slider() {
		// add custom posttype - slide
		$labels = array(
		    'name'          => _x('Slides', 'post type general name', 'colabsthemes'),
		    'singular_name' => _x('Slide', 'post type singular name', 'colabsthemes'),
		    'add_new'       => _x('Add New', 'slide', 'colabsthemes'),
		    'add_new_item'  => __('Add New Slide', 'colabsthemes'),
		    'edit_item'     => __('Edit Slide', 'colabsthemes'),
		    'new_item'      => __('New Slide', 'colabsthemes'),
		    'view_item'     => __('View Slide', 'colabsthemes'),
		    'search_items'  => __('Search Slides', 'colabsthemes'),
		    'not_found'     =>  __('No slides found', 'colabsthemes'),
		    'not_found_in_trash'    => __('No slides found in Trash', 'colabsthemes'), 
		    'parent_item_colon'     => ''
		);

		$args = array(
		    'labels'            => $labels,
		    'public'            => false,
		    'publicly_queryable'=> false,
		    'show_ui'           => true, 
		    'query_var'         => true,
		    'rewrite'           => true,
		    'capability_type'   => 'post',
		    'hierarchical'      => false,
		    'menu_icon'         => get_template_directory_uri() .'/images/slides.png',
		    'menu_position'     => null,
		    'supports'          => array('title', 'thumbnail')
		    // 'supports' => array( 'title', 'editor', 'author', 'thumbnail', 'excerpt', 'comments', 'revisions', 'trackbacks', 'page-attributes', 'custom-fields' ),
		); 

		register_post_type('slide',$args);
	}

	add_action('init', 'colabs_posttype_slider');
}


/* ===================================================================
	Add Metabox "Custom Tabs" for product post type
=================================================================== */
add_action("admin_init", "colabs_themes_admin_init");
add_action('save_post', 'product_custom_tabs_save');

function colabs_themes_admin_init(){
	add_meta_box( "product_custom_tabs", "Custom Tabs", "product_custom_tabs", "product", "normal" );
}

function product_custom_tabs() {
	global $post;
	$product_metas = get_post_custom( $post->ID );
	if( isset( $product_metas['product_custom_tabs'] ) ) {
		$items = unserialize( $product_metas["product_custom_tabs"][0] );
	} else {
		$items = array( 
			array( 
				"title"=>'', 
				"content"=>'' 
			)
		);
	}
	wp_enqueue_script('sortable'); ?>
	
		<style type="text/css">
			.clearfix:after {
				content: "";
				clear: both;
				display: block;
			}
			#colabs_theme_features .toppanel { margin: 10px 0; display: block; }
			#colabs_theme_features label, #colabs_theme_features input[type="text"] { float: left; margin: 0 }
			#colabs_theme_features label { width: 15%; line-height: 27px }
			#colabs_theme_features textarea { background: #fff; }
			#colabs_theme_features .separator { margin-bottom: 10px }
			#colabs_theme_features .item-meta .button { margin-right: 5px }
			#colabs_theme_features .item-meta { border: 1px solid #ddd }
			#colabs_theme_features .item-head { padding: 5px; background: #ececec; border-bottom: 1px solid #ddd; cursor: move }
			#colabs_theme_features .item-head h4 { margin: 0; line-height: 24px; }
			#colabs_theme_features .item-body { padding: 10px; background: #f9f9f9 }
			#colabs_theme_features .drag-highlight { width: 100%; height: 36px; border: 1px dashed #bbb }
			#colabs_theme_features .colabs_metabox_fields .upload { width: 50%; background: #fff; }
		</style>

		<script type="text/javascript">
			(function($){
				$(document).ready(function(){
					var temp,
						slide 		= $("#colabs_theme_features .item-lists > ul > li:first").clone().removeClass('hide'),
						hgallery	= $("#colabs_theme_features");

					// get a slide and reset it
					slide.find("textarea").html('');
					slide.find("img").attr('src','');
					slide.find("input[type=text]").val('');
					slide.find('.slide-toggle-button').removeClass('max-slide-button').addClass('min-slide-button').html('Collapse');

					hgallery.find(".item-meta .item-body").hide();
					hgallery.find( ".item-lists>ul" ).sortable({
						placeholder: "drag-highlight"
					});

					hgallery.find(".slide-toggle-button").live('click',function(e){
						temp = $(this);

						$(this).parent().next().slideToggle( 250 ,function(){ 
							if($(this).is(":visible")) {
								temp.html("Collapse").removeClass('max-slide-button').addClass('min-slide-button');
							} else {
								temp.html("Expand").addClass('max-slide-button').removeClass('min-slide-button');
							}
						});
						e.preventDefault();
					});	

					hgallery.find("#additem").click(function(e){
						temp = slide.clone();
						temp.find('.upload_button').attr('rel', $("#colabs_theme_features li").length + 1);
						$(".item-lists>ul").append(temp);
						e.preventDefault();
					});

					hgallery.find('.delete-slide-button').live('click',function(e){ 
						$(this).parents("li").fadeOut('normal',function(){ 
							$(this).remove();
						}); 
						return false; 
					});

				});
			})(jQuery);
		</script>

		<div id="colabs_theme_features" class="slideable colabs_metaboxes_table">
			<div class="toppanel clearfix">
				<a href="#" id="additem" class="button alignleft"><?php _e('Add Tab', 'colabsthemes'); ?></a>
			</div>
			<p>You can reorder tabs position by drag and drop the panel below.</p>

			<div class="item-lists">
				<ul>
					<?php $features_count = 0; foreach( $items as $item ) : ?>
						<li class="clearfix item-meta">
							<div class="item-head clearfix">
								<h4 class="alignleft"><?php echo $item['title']; ?></h4>
								<a href="#" class="max-slide-button slide-toggle-button button alignright">Expand</a>
								<a href="#" class="delete-slide-button removeslide button alignright">Delete</a>
							</div>
							<div class="item-body">
								<div class="item-detail">
									<div class="separator clearfix">
										<label for="">Tab Title</label>
										<input type="text" class="colabs_input_text" name="titles[]" value="<?php echo $item['title'] ?>" />
									</div>
									<div class="separator clearfix">
										<label for="">Tab Content</label>
										<textarea class="colabs_input_textarea " name="contents[]"><?php echo $item['content'] ?></textarea>
									</div>
								</div>
							</div>
							<input type="hidden" name="product_custom_tabs[]" value="upload" class="product_custom_tabs" />
						</li>
					<?php $features_count++; endforeach; ?>
				</ul>
			</div><!-- .item-lists -->
		</div><!-- #colabs_theme_features -->

<?php }


function product_custom_tabs_save() {
	global $post;
	
	if( isset($_POST['product_custom_tabs']) ) {
		$items = array();
		foreach ( $_POST['product_custom_tabs'] as $key => $value ) {
			$title = $_POST['titles'][$key];
			$content = $_POST['contents'][$key];

			$items[] = array(
				'content' => $content ,
				'title' => $title
			);
		}
		update_post_meta( $post->ID, "product_custom_tabs", $items );
	}
}


?>