<?php 

/*-----------------------------------------------------------------------------------

TABLE OF CONTENTS

- Excerpt
- Page navigation
- CoLabsTabs - Popular Posts
- CoLabsTabs - Latest Posts
- CoLabsTabs - Latest Comments
- Post Meta
- Dynamic Titles
- WordPress 3.0 New Features Support
- using_ie - Check IE
- post-thumbnail - WP 3.0 post thumbnails compatibility
- automatic-feed-links Features
- Twitter button - twitter
- Facebook Like Button - fblike
- Facebook Share Button - fbshare
- Google +1 Button - [google_plusone]
-- Load Javascript for Google +1 Button
- colabs_link - Alternate Link & RSS URL
- Open Graph Meta Function
- colabs_share - Twitter, FB & Google +1
- Post meta Portfolio
- WordPress Customizer
- colabsthemes_recaptcha 
- Update cart wp e-commerce
- Custom wp-caption
-----------------------------------------------------------------------------------*/


/*-----------------------------------------------------------------------------------*/
/* SET GLOBAL CoLabs VARIABLES
/*-----------------------------------------------------------------------------------*/

// Slider Tags
  $GLOBALS['slide_tags_array'] = array();
// Duplicate posts 
  $GLOBALS['shownposts'] = array();

/*-----------------------------------------------------------------------------------*/
/* Excerpt
/*-----------------------------------------------------------------------------------*/

//Add excerpt on pages
if(function_exists('add_post_type_support'))
add_post_type_support('page', 'excerpt');

/** Excerpt character limit */
/* Excerpt length */
function colabs_excerpt_length($length) {
if( '' != get_option('colabs_excerpt_length') ){
        return get_option('colabs_excerpt_length');
    }else{
        return 45;
    }
}
add_filter('excerpt_length', 'colabs_excerpt_length');

/** Remove [..] in excerpt */
function colabs_trim_excerpt($text) {
  return rtrim($text,'[...]');
}
add_filter('get_the_excerpt', 'colabs_trim_excerpt');

/** Add excerpt more */
function colabs_excerpt_more($more) {
  global $post;

  if( !is_single() ) {
    return '<span class="more"><a href="'. get_permalink($post->ID) . '">'. __( 'Read more', 'colabsthemes' ) . '&hellip;</a></span>';
  } else {
    return '';
  }
}
add_filter('excerpt_more', 'colabs_excerpt_more');

//Custom Excerpt Function
function colabs_custom_excerpt($limit=90,$more='&hellip;') {
  global $post;
  if (''==$limit)$limit=90;
  $print_excerpt = '<p>';
  $output = $post->post_excerpt;
  if (''!=$output){
  $print_excerpt .= $output;
  }else{
  $content = get_the_content('');
  $content = strip_shortcodes( $content );
  $content = apply_filters('the_content', $content);
  $content = str_replace(']]>', ']]&gt;', $content);
  $content = strip_tags($content);  
  $excerpt = explode(' ',$content, $limit);
  array_pop($excerpt);
  $print_excerpt .= implode(" ",$excerpt).$more;
  }
  $print_excerpt .= '</p>';
  echo $print_excerpt;
}
function colabs_product_excerpt($limit=35,$more='&hellip;') {
  if (''==$limit)$limit=35;
  $print_excerpt = '<p>';
  $content = get_the_content('');
  $content = strip_shortcodes( $content );
  $content = str_replace(']]>', ']]&gt;', $content);
  $content = strip_tags($content);  
  $excerpt = explode(' ',$content, $limit);
  array_pop($excerpt);
  $print_excerpt .= implode(" ",$excerpt).$more;
  $print_excerpt .= '</p>';
  echo $print_excerpt;
}


/*-----------------------------------------------------------------------------------*/
/* Page navigation */
/*-----------------------------------------------------------------------------------*/
if (!function_exists('colabs_pagenav')) {
  function colabs_pagenav() {   
      
       if ( get_next_posts_link() || get_previous_posts_link() ) { ?>

                <div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&laquo;</span> Previous Entries', 'colabsthemes' ) ); ?></div>
                <div class="nav-next"><?php previous_posts_link( __( 'Next Entries <span class="meta-nav">&raquo;</span>', 'colabsthemes' ) ); ?></div>

      <?php } ?>

    <?php 
  }
}

if (!function_exists('colabs_postnav')) {
  function colabs_postnav() {
    ?>
    <div class="navigation">
        <div class="navleft fl"><?php next_post_link('%link','&laquo; Prev') ;?></div>
        <div class="navright fr"><?php previous_post_link('%link','Next &raquo;'); ?></div>
        
    </div><!--/.navigation-->
    <?php 
  }
}


/*-----------------------------------------------------------------------------------*/
/* CoLabsTabs - 404 */
/*-----------------------------------------------------------------------------------*/
if (!function_exists('colabs_404')) {
  function colabs_404(){

        echo "<p>It seems that page you were looking for doesn't exist.Try searching the site.</p>";
   
  }
}
/*-----------------------------------------------------------------------------------*/
/* CoLabsTabs - Popular Posts */
/*-----------------------------------------------------------------------------------*/
if (!function_exists('colabs_tabs_popular')) {
  function colabs_tabs_popular( $posts = 5, $size = 35 ) {
    global $post;
    $i = 1;
    $args=array(
        'post_type' => array('post','review'),
        'post_status' => 'publish',
        'showposts' => $posts,
        'orderby' => 'comment_count',
        'caller_get_posts'=> 1
      );
    $popular = get_posts($args);
    foreach($popular as $post) :
      setup_postdata($post);
  ?>
  <li>
    <?php //if ($size <> 0) colabs_image('height='.$size.'&width='.$size.'&class=thumbnail&single=true'); ?>
    <span class="number"><?php echo $i; ?></span>
    <div class="tabs-content">
      <a title="<?php the_title(); ?>" href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
      <span class="meta"><?php the_time( get_option( 'date_format' ) ); ?></span>
    </div>
  </li>
  <?php $i++; endforeach;
  }
}

/*-----------------------------------------------------------------------------------*/
/* CoLabsTabs - Latest Posts */
/*-----------------------------------------------------------------------------------*/
if (!function_exists('colabs_tabs_latest')) {
  function colabs_tabs_latest( $posts = 5, $size = 35 ) {
    global $post;
    $args=array(
        'post_type' => array('post','review'),
        'post_status' => 'publish',
        'showposts' => $posts,
        'orderby' => 'post_date',
        'order'=> 'desc',
        'caller_get_posts'=> 1
      );
    $latest = get_posts($args);
    foreach($latest as $post) :
      setup_postdata($post);
  ?>
  <li>
    <?php if (0 <> $size) colabs_image('height='.$size.'&width='.$size.'&class=thumbnail&single=true'); ?>
    <div class="tabs-content">
    <a title="<?php the_title(); ?>" href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
    <span class="meta"><?php the_time( get_option( 'date_format' ) ); ?></span>
    </div>
  </li>
  <?php endforeach; 
  }
}

/*-----------------------------------------------------------------------------------*/
/* CoLabsTabs - Latest Comments */
/*-----------------------------------------------------------------------------------*/
if (!function_exists('colabs_tabs_comments')) {
  function colabs_tabs_comments( $posts = 5, $size = 35 ) {
    global $wpdb;
    $sql = "SELECT DISTINCT ID, post_title, post_password, comment_ID,
    comment_post_ID, comment_author, comment_author_email, comment_date_gmt, comment_approved,
    comment_type,comment_author_url,
    SUBSTRING(comment_content,1,50) AS com_excerpt
    FROM $wpdb->comments
    LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID =
    $wpdb->posts.ID)
    WHERE comment_approved = '1' AND comment_type = '' AND
    post_password = ''
    ORDER BY comment_date_gmt DESC LIMIT ".$posts;
    
    $comments = $wpdb->get_results($sql);
    
    foreach ($comments as $comment) {
    ?>
    <li>
      <?php echo get_avatar( $comment, $size ); ?>
      
      <div class="tabs-content">
        <a href="<?php echo get_permalink($comment->ID); ?>#comment-<?php echo $comment->comment_ID; ?>" title="<?php esc_attr_e('on ', 'colabsthemes'); ?> <?php echo $comment->post_title; ?>">
                <span class="author"><?php echo strip_tags($comment->comment_author); ?></span></a>: <span class="comment"><?php echo strip_tags($comment->com_excerpt); ?>...</span>
      </div>
    </li>
    <?php 
    }
  }
}



/*-----------------------------------------------------------------------------------*/
/* Dynamic Titles */
/*-----------------------------------------------------------------------------------*/
// This sets your <title> depending on what page you're on, for better formatting and for SEO

function dynamictitles() {
  
  if ( is_single() ) {
      wp_title('');
     
 
} else if ( is_page() || is_paged() ) {
      
      echo (''.__('Archive for','colabsthemes').'');
 
} else if ( is_author() ) {
     
      wp_title(''.__('Author','colabsthemes').'');    
    
} else if ( is_category() ) {
      
      wp_title(''.__('Category for','colabsthemes').'');
      

} else if ( is_tag() ) {
      
      wp_title(''.__('Tag archive for','colabsthemes').'');

} else if ( is_archive() ) {
      
      echo (''.__('Archive for','colabsthemes').'');
     

} else if ( is_search() ) {
      
      echo (''.__('Search Results for ','colabsthemes').'');
    the_search_query();
} else if ( is_404() ) {
      
      echo (''.__('404 Error (Page Not Found)','colabsthemes').'');
    
} else if ( is_home() ) {
      bloginfo('name');
      echo (' | ');
      bloginfo('description');
 
} else {
      bloginfo('name');
      echo (' | ');
      echo (''.$blog_longd.'');
}
}

/*-----------------------------------------------------------------------------------*/
/* WordPress 3.0 New Features Support */
/*-----------------------------------------------------------------------------------*/

if ( function_exists('register_nav_menus') ) {
  add_theme_support( 'nav-menus' );
    register_nav_menus( array(
        'main-menu' => __( 'Main Menu','colabsthemes' )
));    
}

if (!function_exists('colabs_nav_fallback')) {
function colabs_nav_fallback($div_id){
    if (is_array($div_id)){ $div_id = $div_id['theme_location']; }
    if ( 'main-menu' == $div_id ){
        wp_page_menu('depth=0&title_li=&menu_class=menu');
    }

}}


/*-----------------------------------------------------------------------------------*/
/* using_ie - Check IE */
/*-----------------------------------------------------------------------------------*/
//check IE
function using_ie()
{
    if (isset($_SERVER['HTTP_USER_AGENT']) && 
    (false !== strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE')))
        return true;
    else
        return false;    
}

/*-----------------------------------------------------------------------------------*/
/*  WP 3.0 post thumbnails compatibility */
/*-----------------------------------------------------------------------------------*/
if(function_exists( 'add_theme_support')){
  //if(get_option( 'colabs_post_image_support') == 'true'){
    if( get_option('colabs_post_image_support') ){
        add_theme_support( 'post-thumbnails' );   
    // set height, width and crop if dynamic resize functionality isn't enabled
    if ( "true" <> get_option( 'colabs_pis_resize') ) {
      $hard_crop = get_option( 'colabs_pis_hard_crop' );
      if('true' == $hard_crop) {$hard_crop = true; } else { $hard_crop = false;} 
      add_image_size( 'headline-thumb', 1140, 450, $hard_crop);
      add_image_size( 'category-thumb-1', 373, 195, $hard_crop);
      add_image_size( 'category-thumb-2', 373, 399, $hard_crop);
      add_image_size( 'brand-thumb', 99999, 62, $hard_crop);     
    }
  }
} 

/*-----------------------------------------------------------------------------------*/
/*  automatic-feed-links Features  */
/*-----------------------------------------------------------------------------------*/
if ( function_exists( 'add_theme_support' ) && '' == get_option('colabs_feedlinkurl') ) {
add_theme_support( 'automatic-feed-links' );
}

/*-----------------------------------------------------------------------------------*/
/* colabs_link - Alternate Link & RSS URL */
/*-----------------------------------------------------------------------------------*/
add_action( 'wp_head', 'colabs_link' );
if (!function_exists('colabs_link')) {
function colabs_link(){ 
?>  
  <link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php if ( get_option('colabs_feedlinkurl') ) { echo get_option('colabs_feedlinkurl'); } else { echo get_bloginfo_rss('rss2_url'); } ?>" />
  <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
  <link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
  <link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
  <?php if('false'==get_option('colabs_disable_mobile')){?>
  <meta name="viewport" content="width=device-width, initial-scale=1"/>
  <?php }?>
<?php 
}}

/*-----------------------------------------------------------------------------------*/
/*  Open Graph Meta Function    */
/*-----------------------------------------------------------------------------------*/
function colabs_meta_head(){
    do_action( 'colabs_meta' );
}
add_action( 'colabs_meta', 'og_meta' );  
  
/*-----------------------------------------------------------------------------------*/ 
/* Search Form*/
/*-----------------------------------------------------------------------------------*/
function custom_search( $form ) {

    $form = '<form role="search" method="get" id="searchform" action="' . home_url( '/' ) . '" >
    <input type="text" value="' . get_search_query() . '" name="s" id="s" />
  <input class="button" type="submit" id="searchsubmit" value="'. esc_attr__('Search') .'" />
    </form>';

    return $form;
}

add_filter( 'get_search_form', 'custom_search' );

/*-----------------------------------------------------------------------------------*/
/* CoLabs - Footer Credit */
/*-----------------------------------------------------------------------------------*/
function colabs_credit(){
global $themename,$colabs_options;
if( 'true' != $colabs_options['colabs_footer_credit'] ){ ?>
            Copyright &copy; 2012 <a href="http://colorlabsproject.com/themes/<?php echo get_option('colabs_themename'); ?>/" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php echo get_option('colabs_themename'); ?></a> by <a href="http://colorlabsproject.com/" title="Colorlabs">ColorLabs & Company</a>. All rights reserved.
<?php }else{ echo stripslashes( $colabs_options['colabs_footer_credit_txt'] ); } 
}


/*-----------------------------------------------------------------------------------*/
/*  is_mobile - Check Mobile Version */
/*-----------------------------------------------------------------------------------*/
if(!function_exists('is_mobile')){
function is_mobile(){
  $regex_match="/(nokia|iphone|android|motorola|^mot\-|softbank|foma|docomo|kddi|up\.browser|up\.link|";
  $regex_match.="htc|dopod|blazer|netfront|helio|hosin|huawei|novarra|CoolPad|webos|techfaith|palmsource|";
  $regex_match.="blackberry|alcatel|amoi|ktouch|nexian|samsung|^sam\-|s[cg]h|^lge|ericsson|philips|sagem|wellcom|bunjalloo|maui|";  
  $regex_match.="symbian|smartphone|midp|wap|phone|windows ce|iemobile|^spice|^bird|^zte\-|longcos|pantech|gionee|^sie\-|portalmmm|";
  $regex_match.="jig\s browser|hiptop|^ucweb|^benq|haier|^lct|opera\s*mobi|opera\*mini|320x320|240x320|176x220";
  $regex_match.=")/i";    
  return isset($_SERVER['HTTP_X_WAP_PROFILE']) or isset($_SERVER['HTTP_PROFILE']) or preg_match($regex_match, strtolower($_SERVER['HTTP_USER_AGENT']));
}}


/*-----------------------------------------------------------------------------------*/
/*  colabs_share - Twitter, FB & Google +1    */
/*-----------------------------------------------------------------------------------*/

if ( !function_exists( 'colabs_share' ) ) {
function colabs_share() {
    
$return = '';


$colabs_share_twitter = get_option('colabs_single_share_twitter');
$colabs_share_fblike = get_option('colabs_single_share_fblike');
$colabs_share_google_plusone = get_option('colabs_single_share_google_plusone');
$colabs_share_pinterest = get_option('colabs_single_share_pinterest');
$colabs_share_linkedin = get_option('colabs_single_share_linkedin');

    //Share Button Functions 
    global $colabs_options;
    $url = get_permalink();
    $share = '';
    
    //Twitter Share Button
    if(function_exists('colabs_shortcode_twitter') && "true" == $colabs_share_twitter){
        $tweet_args = array(  'url' => $url,
                'style' => 'horizontal',
                'source' => ( $colabs_options['colabs_twitter_username'] )? $colabs_options['colabs_twitter_username'] : '',
                'text' => '',
                'related' => '',
                'lang' => '',
                'float' => 'fl'
                        );

        $share .= colabs_shortcode_twitter($tweet_args);
    }
    
   
        
    //Google +1 Share Button
    if( function_exists('colabs_shortcode_google_plusone') && "true" == $colabs_share_google_plusone){
        $google_args = array(
            'size' => 'medium',
            'language' => '',
            'count' => '',
            'href' => $url,
            'callback' => '',
            'annotation' => 'bubble',
            'float' => 'left'
          );        

        $share .= colabs_shortcode_google_plusone($google_args);       
    }
  
   //Facebook Like Button
    if(function_exists('colabs_shortcode_fblike') && "true" == $colabs_share_fblike){
    $fblike_args = 
    array(  
        'float' => 'left',
        'url' => '',
        'style' => 'button_count',
        'showfaces' => 'false',
        'width' => '82',
        'height' => '',
        'verb' => 'like',
        'colorscheme' => 'light',
        'font' => 'arial'
        );
        $share .= colabs_shortcode_fblike($fblike_args);    
    }
   
  global $post;
  if (is_attachment()){
  $att_image = wp_get_attachment_image_src( $post->id, "thumbnail");
  $image = $att_image[0];
  }else{
    $image = colabs_image('return=true&link=url&id='.$post->ID);
  }
  //Pinterest Share Button
    if( function_exists('colabs_shortcode_pinterest') && "true" == $colabs_share_pinterest){
        $pinterest_args = array(
            'count' => 'horizontal',
            'float' => 'left',  
            'use_post' => 'true',
            'image_url' => $image,
            'url' => $url
          );        

        $share .= colabs_shortcode_pinterest($pinterest_args);       
    }
  
  //Linked Share Button
    if( function_exists('colabs_shortcode_linkedin_share') && "true" == $colabs_share_linkedin){
        $linkedin_args = array(
            'style' => 'right', 
            'float' => 'left'
          );        

        $share .= colabs_shortcode_linkedin_share($linkedin_args);       
    }
  
    $return .= '<div class="social_share">'.$share.'</div><div class="clear"></div>';
    
    return $return;
}
}



//Custom Background
add_theme_support( 'custom-background' );

/*-----------------------------------------------------------------------------------*/
/*  colabs_social_net - Add social network icon */
/*-----------------------------------------------------------------------------------*/
if(!function_exists('colabs_social_net')){
function colabs_social_net($class=''){
?>
    
      <div class="soc-net <?php if($class) echo $class; ?>">

    <a class="rss" href="<?php if('' != get_option("colabs_feed_url")){ echo 'http://feeds.feedburner.com/'.get_option("colabs_feed_url");  }else{ bloginfo("rss2_url"); }?>">
    <i class="icon-rss"></i></a>
    
    <?php if (''!=get_option("colabs_social_facebook")) : ?>
      <a class="facebook" href="<?php echo get_option("colabs_social_facebook"); ?>"><i class="icon-facebook"></i></a>
      <?php endif; ?>

      <?php if (''!=get_option("colabs_social_twitter")) : ?>
      <a class="twitter" href="<?php echo get_option("colabs_social_twitter"); ?>"><i class="icon-twitter"></i></a>
      <?php endif; ?>
    
    <?php if ('' != get_option("colabs_social_google") ) : ?>
      <a class="google" href="<?php echo get_option("colabs_social_google");?>"><i class="icon-google"></i></a>
      <?php endif; ?>
    
    <?php if ('' != get_option("colabs_social_instagram") ) : ?>
      <a class="instagram" href="<?php echo get_option("colabs_social_instagram");?>"><i class="icon-instagram"></i></a>
      <?php endif; ?>

    <?php if ('' != get_option("colabs_social_pinterest") ) : ?>
      <a class="pinterest" href="<?php echo get_option("colabs_social_pinterest");?>"><i class="icon-pinterest"></i></a>
      <?php endif; ?>

    <?php if ('' != get_option("colabs_social_tumblr") ) : ?>
      <a class="tumblr" href="<?php echo get_option("colabs_social_tumblr");?>"><i class="icon-tumblr"></i></a>
      <?php endif; ?>

    <?php if ('' != get_option("colabs_social_picasa") ) : ?>
      <a class="picasa" href="<?php echo get_option("colabs_social_picasa");?>"><i class="icon-picasa"></i></a>
      <?php endif; ?>
    
    <?php if ('' != get_option("colabs_social_youtube") ) : ?>
      <a class="vimeo" href="<?php echo get_option("colabs_social_youtube");?>"><i class="icon-vimeo"></i></a>
      <?php endif; ?>
      
    <?php if ('' != get_option("colabs_social_flickr") ) : ?>
      <a class="flickr" href="<?php echo get_option("colabs_social_flickr");?>"><i class="icon-flickr"></i></a>
      <?php endif; ?>
    
    <?php if ('' != get_option("colabs_social_linked") ) : ?>
      <a class="linked" href="<?php echo get_option("colabs_social_linked");?>"><i class="icon-linkedin"></i></a>
      <?php endif; ?>
    
    <?php if ('' != get_option("colabs_social_delicious") ) : ?>
      <a class="deli" href="<?php echo get_option("colabs_social_delicious");?>"><i class="icon-delicious-sign"></i></a>
      <?php endif; ?>
    
    <?php if ('' != get_option("colabs_social_lastfm") ) : ?>
      <a class="lastfm" href="<?php echo get_option("colabs_social_lastfm");?>"><i class="icon-lastfm"></i></a>
      <?php endif; ?>
    
    <?php if ('' != get_option("colabs_social_stumbleupon") ) : ?>
      <a class="stumble" href="<?php echo get_option("colabs_social_stumbleupon");?>"><i class="icon-stumble"></i></a>
      <?php endif; ?>
    
    <?php if ('' != get_option("colabs_social_techno") ) : ?>
      <a class="techno" href="<?php echo get_option("colabs_social_techno");?>"><i class="icon-techno"></i></a>
      <?php endif; ?>
    
    <?php if ('' != get_option("colabs_social_wordpress") ) : ?>
      <a class="social-wp" href="<?php echo get_option("colabs_social_wordpress");?>"><i class="icon-wordpress"></i></a>
      <?php endif; ?>
    
    <?php if ('' != get_option("colabs_social_yahoo") ) : ?>
      <a class="yahoo" href="<?php echo get_option("colabs_social_yahoo");?>"><i class="icon-yahoo"></i></a>
      <?php endif; ?>
      </div>
    
<?php
}}

/*-----------------------------------------------------------------------------------*/
/* WordPress Customizer
/*-----------------------------------------------------------------------------------*/
function colabs_customize_register( $wp_customize ) {
  $wp_customize->get_setting( 'blogname' )->transport = 'postMessage';
  $wp_customize->get_setting( 'blogdescription' )->transport = 'postMessage';

  // Logo Settings
  // -------------
  $wp_customize->add_section( 'logo_settings', array(
    'title'    => __( 'Logo', 'colabsthemes' ),
    'priority' => 50,
  ) );

  $wp_customize->add_setting( 'colabs_logo', array(
    'type'        => 'option',
    'capability'  => 'manage_options',
  ) );

  $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'colabs_logo', array(
    'label'    => __( 'Header Logo', 'colabsthemes' ),
    'section'  => 'logo_settings',
    'settings' => 'colabs_logo',
    'priority' => 5,
  ) ) );

	// Default Layout
	$wp_customize->add_section( 'colabs_layout', array(
		'title'    => __( 'Layout', 'colabsthemes' ),
		'priority' => 60,
	) );

	$wp_customize->add_setting( 'colabs_layout_settings', array(
		'type'              => 'option',
		'default'           => get_option('colabs_layout_settings'),
		'capability' 		=> 'manage_options'
	) );

	$layout_options = array(
		'content-sidebar' => array(
			'value' => 'one-col',
			'label' => __( 'Fullwidth', 'colabsthemes' )
		),
		'content-sidebar' => array(
			'value' => 'two-col-left',
			'label' => __( 'Content on left', 'colabsthemes' )
		),
		'sidebar-content' => array(
			'value' => 'two-col-right',
			'label' => __( 'Content on right', 'colabsthemes' )
		),
		
	);
	$choices = array();
	foreach ( $layout_options as $layout ) {
		$choices[$layout['value']] = $layout['label'];
	}

	$wp_customize->add_control( 'colabs_layout_settings', array(
		'section'    => 'colabs_layout',
		'type'       => 'radio',
		'choices'    => $choices,
	) );
	
	// Homepage Layout
	$wp_customize->add_section( 'colabs_homepage_settings', array(
		'title'    => __( 'Homepage', 'colabsthemes' ),
		'priority' => 70,
	) );
	
	$wp_customize->add_setting( 'colabs_slider_interval', array(
		'type'              => 'option',
		'default'           => get_option('colabs_slider_interval'),
		'capability' 		=> 'manage_options'
	) );
	
	$wp_customize->add_control( 'colabs_slider_interval', array(
		'label'    => __( 'Home slider autoplay interval', 'colabsthemes' ),
		'section'    => 'colabs_homepage_settings',
		'settings'   => 'colabs_slider_interval',
	) );
}
add_action( 'customize_register', 'colabs_customize_register' );

/**
 * Bind JS handlers to make Theme Customizer preview reload changes asynchronously.
 * Used with blogname and blogdescription.
 *
 */
function colabs_customize_preview_js() {
  wp_enqueue_script( 'colabs-customizer', get_template_directory_uri() . '/includes/js/theme-customizer.js', array( 'customize-preview' ), '20120620', true );
}
add_action( 'customize_preview_init', 'colabs_customize_preview_js' );

/*-----------------------------------------------------------------------------------*/
/* Integration E-Commerce Plugin
/*-----------------------------------------------------------------------------------*/


if (!is_admin()) :

    get_template_part('includes/theme-login');
    get_template_part('includes/form/form');
    get_template_part('includes/form/form-process');

endif;

/**
 * Brands thumbnails
 */

add_action('brands_add_form_fields', 'colabs_add_brands_thumbnail_field');
add_action('brands_edit_form_fields', 'colabs_edit_brands_thumbnail_field', 10,2);

function colabs_add_brands_thumbnail_field() {
  wp_enqueue_script( 'thickbox' );
  wp_enqueue_style( 'thickbox' );
  ?>
  <div class="form-field">
    <label for="brand-featured">Featured</label>
    <input id="brand-featured" style="width:5%;" type="checkbox" value="true" name="brand_featured">
    <span>Use as featured brand.</span>
  </div>
  <div class="form-field">
    <label><?php _e('Thumbnail', 'colabsthemes'); ?></label>
    <div id="brands_thumbnail" style="float:left;margin-right:10px;"><img src="<?php echo get_template_directory_uri().'/images/placeholder.png'; ?>" width="150px" height="150px" /></div>
    <div style="line-height:60px;">
      <input type="hidden" id="brands_thumbnail_id" name="brands_thumbnail_id" />
      <button type="submit" class="upload_image_button button"><?php _e('Upload/Add image', 'colabsthemes'); ?></button>
      <button type="submit" class="remove_image_button button"><?php _e('Remove image', 'colabsthemes'); ?></button>
    </div>
    <script type="text/javascript">
      
      window.send_to_editor_default = window.send_to_editor;

      window.send_to_termmeta = function(html) {
        
        jQuery('body').append('<div id="temp_image">' + html + '</div>');
        
        var img = jQuery('#temp_image').find('img');
        
        imgurl    = img.attr('src');
        imgclass  = img.attr('class');
        imgid   = parseInt(imgclass.replace(/\D/g, ''), 10);
        
        jQuery('#brands_thumbnail_id').val(imgid);
        jQuery('#brands_thumbnail img').attr('src', imgurl);
        jQuery('#temp_image').remove();
        
        tb_remove();
        
        window.send_to_editor = window.send_to_editor_default;
      }
      
      jQuery('.upload_image_button').live('click', function(){
        var post_id = 0;
        
        window.send_to_editor = window.send_to_termmeta;
        
        tb_show('', 'media-upload.php?post_id=' + post_id + '&amp;type=image&amp;TB_iframe=true');
        return false;
      });
      
      jQuery('.remove_image_button').live('click', function(){
        jQuery('#brands_thumbnail img').attr('src', '<?php  echo get_template_directory_uri().'/images/placeholder.png';?>');
        jQuery('#brands_thumbnail_id').val('');
        return false;
      });
      
    </script>
    <div class="clear"></div>
  </div>
  <?php
}

function colabs_edit_brands_thumbnail_field( $term, $taxonomy ) {
  wp_enqueue_script( 'thickbox' );
  wp_enqueue_style( 'thickbox' );
  $image      = '';
  $thumbnail_id   = get_option('brands_thumbnail_id_'.$term->term_id);
   $image = wp_get_attachment_url( $thumbnail_id );
  if (''==$image)
    $image = get_template_directory_uri().'/images/placeholder.png';
  $checked ='';
  $brand_featured   = get_option('brand_featured_'.$term->term_id);
  if ('true'==$brand_featured)$checked = 'checked="checked"';
  ?>
  <tr class="form-field">
    <th scope="row" valign="top"><label><?php _e('Featured', 'colabsthemes'); ?></label></th>
    <td>
      <input id="brand_featured" style="width:auto;" type="checkbox" <?php echo $checked;?> value="true" name="brand_featured"/>
      <label for="brand_featured">Use as featured brand.</label>
    </td>
  </tr>

  <tr class="form-field">
    <th scope="row" valign="top"><label><?php _e('Thumbnail', 'colabsthemes'); ?></label></th>
    <td>
      
      <div id="brands_thumbnail" style="float:left;margin-right:10px;"><img src="<?php echo $image; ?>" width="150px" height="150px" /></div>
      <div style="line-height:60px;">
        <input type="hidden" id="brands_thumbnail_id" name="brands_thumbnail_id" value="<?php echo $thumbnail_id; ?>" />
        <button type="submit" class="upload_image_button button"><?php _e('Upload/Add image', 'colabsthemes'); ?></button>
        <button type="submit" class="remove_image_button button"><?php _e('Remove image', 'colabsthemes'); ?></button>
      </div>
      <script type="text/javascript">
        
        window.send_to_termmeta = function(html) {
          
          jQuery('body').append('<div id="temp_image">' + html + '</div>');
          
          var img = jQuery('#temp_image').find('img');
          
          imgurl    = img.attr('src');
          imgclass  = img.attr('class');
          imgid   = parseInt(imgclass.replace(/\D/g, ''), 10);
          
          jQuery('#brands_thumbnail_id').val(imgid);
          jQuery('#brands_thumbnail img').attr('src', imgurl);
          jQuery('#temp_image').remove();
          
          tb_remove();
        }
        
        jQuery('.upload_image_button').live('click', function(){
          var post_id = 0;
          
          window.send_to_editor = window.send_to_termmeta;
          
          tb_show('', 'media-upload.php?post_id=' + post_id + '&amp;type=image&amp;TB_iframe=true');
          return false;
        });
        
        jQuery('.remove_image_button').live('click', function(){
          jQuery('#brands_thumbnail img').attr('src', '<?php  ?>');
          jQuery('#brands_thumbnail_id').val('');
          return false;
        });
        
      </script>
      <div class="clear"></div>
    </td>
  </tr>
  
  <?php
}

add_action('created_brands', 'colabs_brands_thumbnail_field_save', 10,3);
add_action('edited_brands', 'colabs_brands_thumbnail_field_save', 10,3);

function colabs_brands_thumbnail_field_save( $term_id, $tt_id ) {
  if (isset($_POST['brands_thumbnail_id'])) {
    update_option('brands_thumbnail_id_'.$term_id,$_POST['brands_thumbnail_id']);
  }
  if( $_POST['brand_featured'] ): $brand_featured = 'true'; else: $brand_featured = 'false'; endif;
    update_option('brand_featured_'.$term_id, $brand_featured );
}

/**
 * Add New Column for Product Brand List
 */
function add_brands_featured_columns( $columns ) {
  $columns['featured_brands'] = 'Featured';
  return $columns;
}
add_filter( 'manage_edit-brands_columns', 'add_brands_featured_columns' );

function add_brands_featured_column_content( $content, $column, $id ) {
  if( 'featured_brands' == $column ) {
    $featured_img = get_template_directory_uri() . '/images/featured-off.png';
    if( 'true' == get_option('brand_featured_'.$id) ) {
      $featured_img = get_template_directory_uri() . '/images/featured.png';
    }
    $content = '<img src="'. $featured_img .'" width="14" height="14">';
  }
  return $content;
}
add_filter( 'manage_brands_custom_column', 'add_brands_featured_column_content', 10, 3 );
  
/**
 * Cats Product Featured
 */
 if (is_plugin_active('wp-e-commerce/wp-shopping-cart.php')) {
    $colabs_taxonomy='wpsc_product_category';
  }else if (is_plugin_active('jigoshop/jigoshop.php')){ 
    $colabs_taxonomy='product_cat';
  }else if (is_plugin_active('woocommerce/woocommerce.php')){ 
    $colabs_taxonomy='product_cat'; 
  }else{
    $colabs_taxonomy='category';
  }

add_action($colabs_taxonomy.'_add_form_fields', 'colabs_add_cat_field');
add_action($colabs_taxonomy.'_edit_form_fields', 'colabs_edit_cat_field', 10,2);
add_action('created_'.$colabs_taxonomy, 'colabs_cat_field_save', 10,3);
add_action('edited_'.$colabs_taxonomy, 'colabs_cat_field_save', 10,3);

function colabs_add_cat_field() {
  wp_enqueue_script( 'thickbox' );
  wp_enqueue_style( 'thickbox' );
  ?>
  <div class="form-field">
    <label for="cat-featured">Featured</label>
    <input id="cat-featured" style="width:5%;" type="checkbox" value="true" name="cat_featured">
    <span>Use as featured category.</span>
  </div>
  <?php
}

function colabs_edit_cat_field( $term, $taxonomy ) {
  wp_enqueue_script( 'thickbox' );
  wp_enqueue_style( 'thickbox' );
  $checked ='';
  $cat_featured   = get_option('cat_featured_'.$term->term_id);
  if ('true'==$cat_featured)$checked = 'checked="checked"';
  ?>
  <tr class="form-field">
    <th scope="row" valign="top"><label><?php _e('Featured', 'colabsthemes'); ?></label></th>
    <td>
      <input id="cat_featured" style="width:auto;" type="checkbox" <?php echo $checked;?> value="true" name="cat_featured"/>
      <label for="cat_featured">Use as featured category.</label>
    </td>
  </tr>
  <?php 
}

function colabs_cat_field_save( $term_id, $tt_id ) {
    if( $_POST['cat_featured'] ): $cat_featured = 'true'; else: $cat_featured = 'false'; endif;
    update_option('cat_featured_'.$term_id, $cat_featured );
}

// colabsthemes_recaptcha 
function colabsthemes_recaptcha() {
    $colabs_abbr = 'colabs';

    // process the reCaptcha request if it's been enabled
    if ('true' == get_option($colabs_abbr.'_captcha_enable') && get_option($colabs_abbr.'_captcha_theme') && get_option($colabs_abbr.'_captcha_public_key')) :
?>
        <script type="text/javascript">
        // <![CDATA[
         var RecaptchaOptions = {
            custom_translations : {
                instructions_visual : "<?php _e('Type the two words:','colabsthemes'); ?>",
                instructions_audio : "<?php _e('Type what you hear:','colabsthemes'); ?>",
                play_again : "<?php _e('Play sound again','colabsthemes'); ?>",
                cant_hear_this : "<?php _e('Download sound as MP3','colabsthemes'); ?>",
                visual_challenge : "<?php _e('Visual challenge','colabsthemes'); ?>",
                audio_challenge : "<?php _e('Audio challenge','colabsthemes'); ?>",
                refresh_btn : "<?php _e('Get two new words','colabsthemes'); ?>",
                help_btn : "<?php _e('Help','colabsthemes'); ?>",
                incorrect_try_again : "<?php _e('Incorrect. Try again.','colabsthemes'); ?>",
            },
            theme: "<?php echo get_option($colabs_abbr.'_captcha_theme'); ?>",
            lang: "en",
            tabindex: 5
         };
        // ]]>
        </script>

        <p>
        <?php
        // let's call in the big boys. It's captcha time.
        require_once (get_template_directory() . '/includes/lib/recaptchalib.php');
        echo recaptcha_get_html(get_option($colabs_abbr.'_captcha_public_key'));
        ?>
        </p>

<?php
    endif;  // end reCaptcha

}


/*-----------------------------------------------------------------------------------*/
/*  Update cart wp e-commerce    */
/*-----------------------------------------------------------------------------------*/
function update_cart_count(){
    if ( ('add_to_cart' == $_REQUEST['wpsc_ajax_action']) && TRUE == $_REQUEST['ajax'] ) {
        
        echo "window.location.href=window.location.href";
        exit;
    }
}
add_action( 'wpsc_alternate_cart_html', 'update_cart_count' );


/*-----------------------------------------------------------------------------------*/
/*  Custom wp-caption    */
/*-----------------------------------------------------------------------------------*/
add_filter('img_caption_shortcode', 'colabs_img_caption_shortcode_filter',10,3);
function colabs_img_caption_shortcode_filter($val, $attr, $content = null)
{
  extract(shortcode_atts(array(
    'id'  => '',
    'align' => '',
    'width' => '',
    'caption' => ''
  ), $attr));
  
  if ( 1 > (int) $width || empty($caption) )
    return $val;

  $capid = '';
  if ( $id ) {
    $id = esc_attr($id);
    $capid = 'id="'. $id . '" ';
    $id = 'id="' . $id . '"';
  }
  //$content = str_ireplace('href=','rel="lightbox" href=',$content);

  return '<div ' . $id . 'class="wp-caption ' . esc_attr($align) . '" style="width: '
  . (0 + (int) $width) . 'px">' . do_shortcode( $content ) . '<p ' . $capid 
  . 'class="wp-caption-text">' . $caption . '</p></div>';
}


/**
 * Filtering wp_title
 */
function colabs_change_wp_title( $title, $sep ) {
  global $post, $paged, $plugin;

  $title_arr = explode($sep, $title);
  $brands = get_the_terms( $post->ID, 'brands' );

  // If products have brands
  if( $brands && is_singular( 'product' ) ) {
    $brands_string = '';
    $counter = 1;
    foreach( $brands as $brand ) {
      $brands_string .= $brand->name;
      if( $counter < sizeof($brands) ) {
        $brands_string .= ', ';
      }
      $counter++;
    }

    // Check title array
    switch ( sizeof($title_arr) ) {
      case 1:
        $title = $title . $sep . $brands_string;
        break;

      case 2:
        $title = $title_arr[0] . $sep . $brands_string . $sep . $title_arr[1];
        break;

      case 3:
        $title = $title_arr[0] . $sep . $brands_string . $sep . $title_arr[1] . $sep . $title_arr[2];
        break;
    }
  }

  return $title;
}
add_action( 'colabs_title', 'colabs_change_wp_title', 10, 2 );
?>