<?php

remove_action( 'jigoshop_before_main_content', 'jigoshop_output_content_wrapper'    , 10);
remove_action( 'jigoshop_after_main_content' , 'jigoshop_output_content_wrapper_end', 10);
remove_action( 'jigoshop_before_shop_loop_item_title', 'jigoshop_template_loop_product_thumbnail', 10, 2);
remove_action( 'jigoshop_before_main_content', 'jigoshop_breadcrumb', 20, 0);
remove_action( 'jigoshop_sidebar', 'jigoshop_get_sidebar', 10);
remove_action( 'jigoshop_after_single_product_summary', 'jigoshop_output_product_data_tabs', 10);
remove_action( 'jigoshop_product_tabs', 'jigoshop_product_description_tab', 10 );
remove_action( 'jigoshop_product_tabs', 'jigoshop_product_attributes_tab', 20 );
remove_action( 'jigoshop_product_tab_panels', 'jigoshop_product_description_panel', 10 );
remove_action( 'jigoshop_product_tab_panels', 'jigoshop_product_attributes_panel', 20 );
remove_action( 'jigoshop_after_shop_loop_item', 'jigoshop_template_loop_add_to_cart', 10, 2);
add_action( 'jigoshop_template_single_summary', 'colabs_single_product_accordion_open', 21);
add_action( 'jigoshop_template_single_summary', 'colabs_product_description_panel', 22);
add_action( 'jigoshop_template_single_summary', 'colabs_product_attributes_panel', 23);
add_action( 'jigoshop_template_single_summary', 'colabs_single_product_accordion_close', 24);

add_action( 'jigoshop_after_single_product_summary', 'colabs_output_product_data_tabs', 10);

if (!function_exists('colabs_output_product_data_tabs')) {
  function colabs_output_product_data_tabs() {

    if (isset($_COOKIE["current_tab"])) $current_tab = $_COOKIE["current_tab"]; else $current_tab = '#tab-description';

    ?>
    <div id="tabs" class="product_tabs">
      <ul class="tabs">

        <?php do_action('jigoshop_product_tabs', $current_tab); ?>

      </ul>

      <?php do_action('jigoshop_product_tab_panels'); ?>

    </div>
    <?php

  }
}
// Product Accordion
  function colabs_single_product_accordion_open() {
    echo '<div class="product-accordion">';
  }
  function colabs_single_product_accordion_close() {
    echo '</div><!-- .product-accordion-->';
  }
if (!function_exists('colabs_product_description_panel')) {
	function colabs_product_description_panel() {
		if( trim(get_the_content()) != '' ) :	
			echo '<div class="entry-content" id="tab-description">';
			echo '<h2 class="panel-title">' . apply_filters('jigoshop_product_description_heading', __('Product Description', 'jigoshop')) . '</h2>';
			echo '<div class="panel-content">';
			the_content();
			echo '</div>';
			echo '</div>';
		endif;
	}
}
if (!function_exists('colabs_product_attributes_panel')) {
	function colabs_product_attributes_panel() {
		global $_product;
		if( trim($_product->list_attributes()) != '' ) :
			echo '<div class="entry-content" id="tab-attributes">';
			echo '<h2 class="panel-title">' . apply_filters('jigoshop_product_attributes_heading', __('Additional Information', 'jigoshop')) . '</h2>';
			echo '<div class="panel-content">';
			echo $_product->list_attributes();
			echo '</div>';
			echo '</div>';
		endif;
	}
}

// Add to Cart Button
function jigoshop_template_loop_add_to_cart( $post, $_product ) {
  do_action('jigoshop_before_add_to_cart_button');
  // do not show "add to cart" button if product's price isn't announced
  if ( '' === $_product->get_price() AND ! ($_product->is_type(array('variable', 'grouped', 'external'))) ) return;

  if ( $_product->is_in_stock() OR $_product->is_type('external') ) :
    if ( $_product->is_type(array('variable', 'grouped')) ) :
      $output = '<a href="'.get_permalink($_product->id).'" class="button cart">'.__('Select', 'jigoshop').'</a>';
    elseif ( $_product->is_type('external') ) :
      $output = '<a href="'.get_post_meta( $_product->id, 'external_url', true ).'" class="button cart">'.__('Buy product', 'jigoshop').'</a>';
    else :
      $output = '<a href="'.esc_url($_product->add_to_cart_url()).'" class="button cart">'.__('Add to cart', 'jigoshop').'</a>';
    endif;
  elseif ( ($_product->is_type(array('grouped')) ) ) :
    return;
  else :
    $output = '<span class="nostock">'.__('Out of Stock', 'jigoshop').'</span>';
  endif;
  echo $output;

  do_action('jigoshop_after_add_to_cart_button');
}

?>