<?php
if (!is_admin()) add_action( 'wp_enqueue_scripts', 'colabsthemes_add_javascript' );

if (!function_exists('colabsthemes_add_javascript')) {

	function colabsthemes_add_javascript () {
    
    wp_enqueue_style( 'main-style', get_bloginfo( 'stylesheet_url' ) );

    wp_enqueue_script('jquery');  
    wp_enqueue_script( 'plugins', trailingslashit( get_template_directory_uri() ) . 'includes/js/plugins.js', array('jquery') );
    wp_enqueue_script( 'scripts', trailingslashit( get_template_directory_uri() ) . 'includes/js/scripts.js', array('jquery') );

		/* We add some JavaScript to pages with the comment form to support sites with threaded comments (when in use). */        
  	if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' );

    // Data for autoplay interval
    $interval = get_option( 'colabs_slider_interval' );
    if( "string" == gettype( $interval ) && is_numeric( $interval ) ) {
      $interval = intval( $interval * 1000 );
    } else {
      $interval = 3;
    }

    wp_localize_script( 'scripts', 'colabs_slider_options', array( 'interval' => $interval ) );
        
	} /* // End colabsthemes_add_javascript() */
	
} /* // End IF Statement */



?>