<?php

//Enable CoLabsSEO on these custom Post types
//$seo_post_types = array('post','page');
//define("SEOPOSTTYPES", serialize($seo_post_types));

//Global options setup
add_action('init','colabs_global_options');
function colabs_global_options(){
	// Populate CoLabsThemes option in array for use in theme
	global $colabs_options;
	$colabs_options = get_option('colabs_options');
}

add_action('admin_head','colabs_options');  
if (!function_exists('colabs_options')) {
function colabs_options(){
	
// VARIABLES
$themename = "Opulence";
$manualurl = 'http://colorlabsproject.com';
$shortname = "colabs";

//Access the WordPress Categories via an Array
$colabs_categories = array();  
$colabs_categories_obj = get_categories('hide_empty=0');
foreach ($colabs_categories_obj as $colabs_cat) {
    $colabs_categories[$colabs_cat->cat_ID] = $colabs_cat->cat_name;}
//$categories_tmp = array_unshift($colabs_categories, "Select a category:");

//Access the WordPress Pages via an Array
$colabs_pages = array();
$colabs_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($colabs_pages_obj as $colabs_page) {
    $colabs_pages[$colabs_page->ID] = $colabs_page->post_name; }
//$colabs_pages_tmp = array_unshift($colabs_pages, "Select a page:");       

//Access the WordPress Categories via an Array
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
if (is_plugin_active('wp-e-commerce/wp-shopping-cart.php')) {
		$colabs_taxonomy='wpsc_product_category';
	}else if (is_plugin_active('jigoshop/jigoshop.php')){
		$colabs_taxonomy='product_cat';
	}else if (is_plugin_active('woocommerce/woocommerce.php')){
		$colabs_taxonomy='product_cat';	
	}else{
		$colabs_taxonomy='category';
	}
$colabs_product_categories = array();  
$colabs_product_categories_obj = get_categories('taxonomy='.$colabs_taxonomy.'&hide_empty=0');
foreach ($colabs_product_categories_obj as $colabs_product_cat) {
    $colabs_product_categories[$colabs_product_cat->cat_ID] = $colabs_product_cat->cat_name;}


$images_dir =  get_template_directory_uri() . '/functions/images/';
	
//More Options
$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");

$other_entries_10 = array("Select a number:","1","2","3","4","5","6","7","8","9","10");

$other_entries_4 = array("Select a number:","1","2","3","4");

// THIS IS THE DIFFERENT FIELDS
$options = array();

// General Settings
$options[] = array( "name" => __("General Settings", "colabsthemes" ),
					"type" => "heading",
					"icon" => "general");

$options[] = array( "name" => __( "Use for blog title/logo", "colabsthemes" ),
					"desc" => __( "Select title or logo for your blog.", "colabsthemes" ),
					"id" => $shortname."_logotitle",
					"std" => "logo",
					"type" => "select2",
					"options" => array( "logo" => __( "Logo", "colabsthemes" ), "title" => __( "Title", "colabsthemes" ) ) ); 					

$options[] = array( "name" => __("Custom Logo", "colabsthemes" ),
					"desc" => __("Upload a logo for your theme, or specify an image URL directly. Best image size in 260x60 px", "colabsthemes" ),
					"id" => $shortname."_logo",
					"std" => trailingslashit( get_template_directory_uri() ) . "images/logo.png",
					"type" => "upload");

$options[] = array( "name" => __("Custom Favicon", "colabsthemes" ),
					"desc" => __("Upload a 16x16px ico image that will represent your website's favicon. Favicon/bookmark icon will be shown at the left of your blog's address in visitor's internet browsers.", "colabsthemes" ),
					"id" => $shortname."_custom_favicon",
					"std" => trailingslashit( get_template_directory_uri() ) . "images/favicon.png",
					"type" => "upload"); 
					
$options[] = array( "name" => __( 'Main Layout', 'colabsthemes' ),
                    "desc" => __( 'Select main content and sidebar alignment. Choose between left or right sidebar layout.', 'colabsthemes' ),
                    "id" => $shortname . "_layout_settings", //colabs_layout
                    "std" => "two-col-left",
                    "type" => "images",
                    "options" => array(    
								"one-col" => $images_dir . "1c.png",
                                "two-col-left" => $images_dir . "2cl.png",
                                "two-col-right" => $images_dir . "2cr.png")
                    );	

$options[] = array( "name" => __( 'Home slider autoplay interval', 'colabsthemes' ),
                    "desc" => __( 'How long the interval of slider on homepage in seconds, input 0 to disable autoplay', 'colabsthemes' ),
                    "id" => $shortname . "_slider_interval", //colabs_layout
                    "std" => 3,
                    "type" => "text" );
					
$options[] = array( "name" => __('Enable / Disable reCaptcha', 'colabsthemes'),
					"desc" => sprintf(__('%2$s. reCaptcha is a free anti-spam service provided by Google. Learn more about <a target="_new" href="%1$s">reCaptcha</a>.', 'colabsthemes'), 'http://code.google.com/apis/recaptcha/', __('Set this option to yes to enable the reCaptcha service that will protect your site against spam registrations. It will show a verification box on your registration page that requires a human to read and enter the words','colabsthemes') ),
					"id" => $shortname."_captcha_enable",
                    'class' => 'collapsed',
					"std" => "true",
					"type" => "checkbox");

$options[] = array( "name" => __('reCaptcha Public Key', 'colabsthemes'),
					"desc" => sprintf( '%3$s. %1$s' . __('Sign up for a free <a target="_new" href="%2$s">Google reCaptcha</a> account.','colabsthemes'), '<div class="captchaico"></div>', 'https://www.google.com/recaptcha/admin/create', __('Enter your public key here to enable an anti-spam service on your new user registration page (requires a free Google reCaptcha account). Leave it blank if you do not wish to use this anti-spam feature','colabsthemes') ),
					"id" => $shortname."_captcha_public_key",
					"std" => "",
                    'class' => 'hidden',
					"type" => "text");

$options[] = array( "name" => __('reCaptcha Private Key', 'colabsthemes'),
					"desc" => sprintf( '%3$s. %1$s' . __('Sign up for a free <a target="_new" href="%2$s">Google reCaptcha</a> account.','colabsthemes'), '<div class="captchaico"></div>', 'https://www.google.com/recaptcha/admin/create', __('Enter your private key here to enable an anti-spam service on your new user registration page (requires a free Google reCaptcha account). Leave it blank if you do not wish to use this anti-spam feature','colabsthemes') ),
					"id" => $shortname."_captcha_private_key",
					"std" => "",
                    'class' => 'hidden',
					"type" => "text");

$options[] = array( "name" => __('Choose Theme for reCaptcha', 'colabsthemes'),
					"desc" => __('Select the color scheme you wish to use for reCaptcha.', 'colabsthemes'),
					"id" => $shortname."_captcha_theme",
					"std" => "",
                    'class' => 'hidden last',
					"type" => "select2",
					"options" => array( 'red' => __('Red', 'colabsthemes'), 'white' => __('White', 'colabsthemes'), 'blackglass' => __('Black', 'colabsthemes'), 'clean'  => __('Clean', 'colabsthemes') )
                    );

$options[] = array( "name" => __("Disable Responsive", "colabsthemes" ),
					"desc" => __("You can disable responsive module for your site.", "colabsthemes"),
					"id" => $shortname."_disable_mobile",
					"std" => "false",
					"type" => "checkbox");
						
					
/* //Social Settings	 */				
$options[] = array( "name" => __("Social Networking", "colabsthemes" ),
					"icon" => "misc",
					"type" => "heading");	
					
$options[] = array( "name" => __("Facebook","colabsthemes"),
					"desc" => __("Enter your Facebook profile URL","colabsthemes"),
					"id" => $shortname."_social_facebook",
					"std" => "",
					"type" => "text");  

$options[] = array( "name" => __("Twitter","colabsthemes"),
					"desc" => __("Enter your Twitter URL","colabsthemes"),
					"id" => $shortname."_social_twitter",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => __( "Delicious URL", "colabsthemes" ),
					"desc" => __( "Enter your Delicious URL", "colabsthemes" ),
					"id" => $shortname."_social_delicious",
					"std" => "",
					"type" => "text");
					
$options[] = array( "name" => __( "Flickr URL", "colabsthemes" ),
					"desc" => __( "Enter your Flickr URL", "colabsthemes" ),
					"id" => $shortname."_social_flickr",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => __( "LastFM URL", "colabsthemes" ),
					"desc" => __( "Enter your LastFM account", "colabsthemes" ),
					"id" => $shortname."_social_lastfm",
					"std" => "",
					"type" => "text");					

$options[] = array( "name" => __( "Picasa URL", "colabsthemes" ),
					"desc" => __( "Enter your Picasa account", "colabsthemes" ),
					"id" => $shortname."_social_picasa",
					"std" => "",
					"type" => "text");
					
$options[] = array( "name" => __( "WordPress URL", "colabsthemes" ),
					"desc" => __( "Enter your WordPress account", "colabsthemes" ),
					"id" => $shortname."_social_wordpress",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => __( "Yahoo URL", "colabsthemes" ),
					"desc" => __( "Enter your Yahoo account", "colabsthemes" ),
					"id" => $shortname."_social_yahoo",
					"std" => "",
					"type" => "text");
					
$options[] = array( "name" => __( "Google URL", "colabsthemes" ),
					"desc" => __( "Enter your Google URL", "colabsthemes" ),
					"id" => $shortname."_social_google",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => __( "Youtube URL", "colabsthemes" ),
					"desc" => __( "Enter your Youtube URL", "colabsthemes" ),
					"id" => $shortname."_social_youtube",
					"std" => "",
					"type" => "text");					

$options[] = array( "name" => __( "LinkedIn URL", "colabsthemes" ),
					"desc" => __( "Enter your LinkedIn URL", "colabsthemes" ),
					"id" => $shortname."_social_linked",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => __( "Instagram URL", "colabsthemes" ),
					"desc" => __( "Enter your Instagram URL", "colabsthemes" ),
					"id" => $shortname."_social_instagram",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => __( "Pinterest URL", "colabsthemes" ),
					"desc" => __( "Enter your Pinterest URL", "colabsthemes" ),
					"id" => $shortname."_social_pinterest",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => __( "Tumblr URL", "colabsthemes" ),
					"desc" => __( "Enter your Tumblr URL", "colabsthemes" ),
					"id" => $shortname."_social_tumblr",
					"std" => "",
					"type" => "text");

					
$options[] = array( "name" => __("Enable/Disable Social Share Button", "colabsthemes" ),
					"desc" => __("Select which social share button you would like to enable on single post & pages.", "colabsthemes" ),
					"id" => $shortname."_single_share",
					"std" => array("fblike","twitter","google_plusone"),
					"type" => "multicheck2",
                    "class" => "",
					"options" => array(
                  "fblike" => "Facebook Like Button",
                  "twitter" => "Twitter Share Button",
                   "google_plusone" => "Google +1 Button",
									"pinterest" => "Pinterest",
									"linkedin" => "Linked In"
                    )
                    ); 					

// Open Graph Settings
$options[] = array( "name" => __("Open Graph Settings", "colabsthemes" ),
					"type" => "heading",
					"icon" => "graph");

$options[] = array( "name" => __("Open Graph", "colabsthemes" ),
					"desc" => __("Enable or disable Open Graph Meta tags.", "colabsthemes" ),
					"id" => $shortname."_og_enable",
					"type" => "select2",
                    "std" => "",
                    "class" => "collapsed",
					"options" => array("" => "Enable", "disable" => "Disable") );

$options[] = array( "name" => __("Site Name", "colabsthemes" ),
					"desc" => __("Open Graph Site Name ( og:site_name ).", "colabsthemes" ),
					"id" => $shortname."_og_sitename",
					"std" => "",
                    "class" => "hidden",
					"type" => "text");

$options[] = array( "name" => __("Admin", "colabsthemes" ),
					"desc" => __("Open Graph Admin ( fb:admins ).", "colabsthemes" ),
					"id" => $shortname."_og_admins",
					"std" => "",
                    "class" => "hidden",
					"type" => "text");

$options[] = array( "name" => __("Image", "colabsthemes" ),
					"desc" => __("You can put the url for your Open Graph Image ( og:image ).", "colabsthemes" ),
					"id" => $shortname."_og_img",
					"std" => "",
                    "class" => "hidden last",
					"type" => "text");

//Dynamic Images 					                   
$options[] = array( "name" => __("Thumbnail Settings", "colabsthemes" ),
					"type" => "heading",
					"icon" => "image");
                    
$options[] = array( "name" => __("WordPress Featured Image", "colabsthemes" ),
					"desc" => __("Use WordPress Featured Image for post thumbnail.", "colabsthemes" ),
					"id" => $shortname."_post_image_support",
					"std" => "true",
					"class" => "collapsed",
					"type" => "checkbox");

$options[] = array( "name" => __("WordPress Featured Image - Dynamic Resize", "colabsthemes" ),
					"desc" => __("Resize post thumbnail dynamically using WordPress native functions (requires PHP 5.2+).", "colabsthemes" ),
					"id" => $shortname."_pis_resize",
					"std" => "true",
					"class" => "hidden",
					"type" => "checkbox");
                    
$options[] = array( "name" => __("WordPress Featured Image - Hard Crop", "colabsthemes" ),
					"desc" => __("Original image will be cropped to match the target aspect ratio.", "colabsthemes" ),
					"id" => $shortname."_pis_hard_crop",
					"std" => "true",
					"class" => "hidden last",
					"type" => "checkbox");
                    
$options[] = array( "name" => __("TimThumb Image Resizer", "colabsthemes" ),
					"desc" => __("Enable timthumb.php script which dynamically resizes images added thorugh post custom field.", "colabsthemes" ),
					"id" => $shortname."_resize",
					"std" => "true",
					"type" => "checkbox");
                    
$options[] = array( "name" => __("Automatic Thumbnail", "colabsthemes" ),
					"desc" => __("Generate post thumbnail from the first image uploaded in post (if there is no image specified through post custom field or WordPress Featured Image feature).", "colabsthemes" ),
					"id" => $shortname."_auto_img",
					"std" => "true",
					"type" => "checkbox");
                    
$options[] = array( "name" => __("Thumbnail Image in RSS Feed", "colabsthemes" ),
					"desc" => __("Add post thumbnail to RSS feed article.", "colabsthemes" ),
					"id" => $shortname."_rss_thumb",
					"std" => "false",
					"type" => "checkbox");

$options[] = array( "name" => __("Thumbnail Image Dimensions", "colabsthemes" ),
					"desc" => __("Enter an integer value i.e. 250 for the desired size which will be used when dynamically creating the images.", "colabsthemes" ),
					"id" => $shortname."_image_dimensions",
					"std" => "",
					"type" => array( 
									array(  'id' => $shortname. '_thumb_w',
											'type' => 'text',
											'std' => 100,
											'meta' => 'Width'),
									array(  'id' => $shortname. '_thumb_h',
											'type' => 'text',
											'std' => 100,
											'meta' => 'Height')
								  ));

$options[] = array( "name" => __("Custom Field Image", "colabsthemes" ),
					"desc" => __("Enter your custom field image name to change the default name (default name: image).", "colabsthemes" ),
					"id" => $shortname."_custom_field_image",
					"std" => "",
					"type" => "text");
					
// Analytics ID, RSS feed

$options[] = array( "name" => __("Analytics ID & Feedburner", "colabsthemes" ),
					"type" => "heading",
					"icon" => "statistics");

$options[] = array( "name" => __("Enable PressTrends Tracking", "colabsthemes" ),
					"desc" => __("PressTrends is a simple usage tracker that allows us to see how our customers are using our themes, so that we can help improve them for you. <strong>None</strong> of your personal data is sent to PressTrends.", "colabsthemes" ),
					"id" => $shortname."_pt_enable",
					"std" => "true",
					"type" => "checkbox");
					
$options[] = array( "name" => __("GoSquared Token", "colabsthemes" ),
					"desc" => __("You can use GoSquared real-time web analytics. Enter your GoSquared Token here (ex. GSN-893821-D).",	 "colabsthemes" ),
					"id" => $shortname."_gosquared_id",
					"std" => "",
					"type" => "text");					
                    
$options[] = array( "name" => __("Google Analytics", "colabsthemes" ),
					"desc" => __("Manage your website statistics with Google Analytics, put your Analytics Code here.","colabsthemes")." (ex : </br>
									&#60;script type='text/javascript'	&#62;</br>
								  var _gaq = _gaq || [];</br>
								  _gaq.push(['_setAccount', 'UA-2809127-42']);</br>
								  _gaq.push(['_trackPageview']);</br>

								  (function() {</br>
									var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;</br>
									ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';</br>
									var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);</br>
								  })();</br>
								&#60;&#47;script&#62;</br>).",
					"id" => $shortname."_google_analytics",
					"std" => "",
					"type" => "textarea");

$options[] = array( "name" => __("Feedburner URL", "colabsthemes" ),
					"desc" => __("Feedburner URL. This will replace RSS feed link. Start with http://.", "colabsthemes" ),
					"id" => $shortname."_feedlinkurl",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => __("Feedburner Comments URL", "colabsthemes" ),
					"desc" => __("Feedburner URL. This will replace RSS comment feed link. Start with http://.", "colabsthemes" ),
					"id" => $shortname."_feedlinkcomments",
					"std" => "",
					"type" => "text");	
				

// Footer Settings
$options[] = array( "name" => __("Footer Settings", "colabsthemes" ),
					"type" => "heading",
					"icon" => "footer");    

$options[] = array( "name" => __("Enable / Disable Custom Credit (Right)", "colabsthemes" ),
					"desc" => __("Activate to add custom credit on footer area.", "colabsthemes" ),
					"id" => $shortname."_footer_credit",
					"class" => "collapsed",
					"std" => "false",
					"type" => "checkbox");    

$options[] = array( "name" => __("Footer Credit", "colabsthemes" ),
                    "desc" => __("You can customize footer credit on footer area here.", "colabsthemes" ),
                    "id" => $shortname."_footer_credit_txt",
                    "std" => "",
					"class" => "hidden last",                    
                    "type" => "textarea");
					
//Advertising
$options[] = array( "name" => __( "Single Ad", "colabsthemes" )." (728x90px)",
					"type" => "heading",
					"icon" => "ads");    

$options[] = array( "name" => __( "Enable Ad", "colabsthemes" ),
					"desc" => __( "Enable the ad space for single post", "colabsthemes" ),
					"id" => $shortname."_ad_single",
					"std" => "false",
                    "class" => "collapsed",
					"type" => "checkbox");    

$options[] = array( "name" => __( "Adsense Code", "colabsthemes" ),
					"desc" => __( "Enter your adsense code (or other ad network code) here.", "colabsthemes" ),
					"id" => $shortname."_ad_single_adsense",
					"std" => "",
                    "class" => "hidden",
					"type" => "textarea");

$options[] = array( "name" => __( "Image Location", "colabsthemes" ),
					"desc" => __( "Enter the URL to the banner ad image location.", "colabsthemes" ),
					"id" => $shortname."_ad_single_image",
					"std" => "",
                    "class" => "hidden",
					"type" => "upload");
					
$options[] = array( "name" => __( "Destination URL", "colabsthemes" ),
					"desc" => __( "Enter the URL where this banner ad points to.", "colabsthemes" ),
					"id" => $shortname."_ad_single_url",
					"std" => "http://www.colorlabsproject.com",
                    "class" => "hidden last",
					"type" => "text");  
					
/* //Contact Form */
$options[] = array( "name" => __("Contact Form", "colabsthemes" ),
					"type" => "heading",
					"icon" => "general");    
$options[] = array( "name" => __("Destination Email Address", "colabsthemes" ),
					"desc" => __("All inquiries made by your visitors through the Contact Form page will be sent to this email address.", "colabsthemes" ),
					"id" => $shortname."_contactform_email",
					"std" => "",
					"type" => "text"); 

				
					
// Add extra options through function
if ( function_exists("colabs_options_add") )
	$options = colabs_options_add($options);

if ( get_option('colabs_template') != $options) update_option('colabs_template',$options);      
if ( get_option('colabs_themename') != $themename) update_option('colabs_themename',$themename);   
if ( get_option('colabs_shortname') != $shortname) update_option('colabs_shortname',$shortname);
if ( get_option('colabs_manual') != $manualurl) update_option('colabs_manual',$manualurl);

global $colabs_options;
// Set default options for $colabs_options
   foreach( $options as $key => $value ) {
     if( isset( $value['id'] ) ) {
       if( isset( $value['std'] ) ) {
         if( !isset( $colabs_options[$value['id']] ) ) {
           $colabs_options[$value['id']] = $value['std'];
         }
       }
     }
   }
   
//PressTrends
$colabs_pt_auth = "r7avsdqau9mp73v1w1b30x448770mlydi"; 
update_option('colabs_pt_auth',$colabs_pt_auth);

// CoLabs Metabox Options
// Start name with underscore to hide custom key from the user
$colabs_metaboxes = array();
$colabs_metabox_settings = array();
global $post;
$colabs_posttype='';
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
	global $colabs_posttype,$colabs_taxonomy,$woocommerce,$plugin;
	if (is_plugin_active('wp-e-commerce/wp-shopping-cart.php')) {
		$colabs_posttype='wpsc-product';

	}else if (is_plugin_active('jigoshop/jigoshop.php')){
		$colabs_posttype='product';

	}else if (is_plugin_active('woocommerce/woocommerce.php')){
		$colabs_posttype='product';

	}
	
    //Metabox Settings
    $colabs_metabox_settings['post'] = array(
                                'id' => 'colabsthemes-settings',
								'title' => 'ColorLabs' . __( ' Image/Video Settings', 'colabsthemes' ),
								'callback' => 'colabsthemes_metabox_create',
								'page' => 'post',
								'context' => 'normal',
								'priority' => 'high',
                                'callback_args' => ''
								);

    $colabs_metabox_settings['slide'] = array(
                'id' => 'colabsthemes-settings',
								'title' => 'ColorLabs' . __( ' Slide Settings', 'colabsthemes' ),
								'callback' => 'colabsthemes_metabox_create',
								'page' => 'slide',
								'context' => 'normal',
								'priority' => 'high',
                'callback_args' => ''
								);
                                    
    $colabs_metabox_settings['page'] = array(
                                'id' => 'colabsthemes-settings',
								'title' => 'ColorLabs' . __( ' Image/Video Settings', 'colabsthemes' ),
								'callback' => 'colabsthemes_metabox_create',
								'page' => 'page',
								'context' => 'normal',
								'priority' => 'high',
                                'callback_args' => ''
								);
	
	if(''!=$colabs_posttype){	
	$colabs_metabox_settings[$colabs_posttype] = array(
                                'id' => 'colabsthemes-settings',
								'title' => 'ColorLabs' . __( ' Product Settings', 'colabsthemes' ),
								'callback' => 'colabsthemes_metabox_create',
								'page' => $colabs_posttype,
								'context' => 'normal',
								'priority' => 'high',
                                'callback_args' => ''
								);
	}
								
if ( ( 'post' == get_post_type()) || ( !get_post_type() ) ) {
	$colabs_metaboxes[] = array (  "name"  => $shortname."_single_top",
					            "std"  => "Image",
					            "label" => __("Item to Show", "colabsthemes" ),
					            "type" => "radio",
					            "desc" => __("Choose Image/Embed Code to appear at the single top.", "colabsthemes" ),
											"options" => array(	"none" => "None",
													"single_image" => "Image",
													"single_video" => "Embed" ));
	$colabs_metaboxes[] = array (	"name" => "image",
								"label" => __("Post Custom Image", "colabsthemes" ),
								"type" => "upload",
                "class" => "single_image",
								"desc" => __("Upload an image or enter an URL.", "colabsthemes" ));
	
	$colabs_metaboxes[] = array (  "name"  => $shortname."_embed",
					            "std"  => "",
					            "label" => __("Video Embed Code", "colabsthemes" ),
					            "type" => "textarea",
                      "class" => "single_video",
					            "desc" => __("Enter the video embed code for your video (YouTube, Vimeo or similar)", "colabsthemes" )
											);
								
	$colabs_metaboxes[] = array (  "name"  => $shortname."_ad_single",
					            "std"  => "general_ad",
					            "label" => __( "Enable/Disable Ad", "colabsthemes" ),
					            "type" => "radio",
					            "desc" => __( "You can set No Ad, Custom Ad or Use General Ad that you can set on Theme Panel", "colabsthemes" ),
											"options" => array(	"none" => __("None","colabsthemes"),
													"general_ad" => __("Use General Ad","colabsthemes"),
													"custom_ad" => __("Custom Ad","colabsthemes") 
                                ));

    $colabs_metaboxes[] = array( "label" => __( "Adsense Code", "colabsthemes" ),
    					"desc" => __( "Enter your adsense code (or other ad network code) here.", "colabsthemes" ),
    					"name" => $shortname."_ad_single_adsense",
    					"std" => "",
                        "class" => "custom_ad",
    					"type" => "textarea");
    
    $colabs_metaboxes[] = array( "label" => __( "Image Location", "colabsthemes" ),
    					"desc" => __( "Enter the URL to the banner ad image location.", "colabsthemes" ),
    					"name" => $shortname."_ad_single_image",
    					"std" => "",
                        "class" => "custom_ad",
    					"type" => "upload");
    					
    $colabs_metaboxes[] = array( "label" => __( "Destination URL", "colabsthemes" ),
    					"desc" => __( "Enter the URL where this banner ad points to.", "colabsthemes" ),
    					"name" => $shortname."_ad_single_url",
    					"std" => "http://www.colorlabsproject.com",
                        "class" => "custom_ad",
    					"type" => "text");

    
	$url =  get_template_directory_uri() . "/functions/images/";
	$colabs_metaboxes[] = array (	"name" => "layout",
								"label" => __( "Layout", "colabsthemes" ),
								"type" => "images",
								"desc" => __( "Select a specific layout for this post/page. Overrides default site layout.", "colabsthemes" ),
								"options" => array(	"" => $url . "layout-off.png",
													"one-col" => $url . "1c.png",
													"two-col-left" => $url . "2cl.png",
													"two-col-right" => $url . "2cr.png"));							
					            
} // End post

if ( ( get_post_type() == 'slide') || !get_post_type() ) {

	$colabs_metaboxes[] = array (	"name" => "slide_url",
                                        "label" => "URL",
                                        "type" => "text",
                                        "desc" => "Put the link/URL here." );
}


if ( ( 'page' == get_post_type()) || ( !get_post_type() ) ) {
							
								
	$url =  get_template_directory_uri() . "/functions/images/";
	$colabs_metaboxes[] = array (	"name" => "layout",
								"label" => __( "Layout", "colabsthemes" ),
								"type" => "images",
								"desc" => __( "Select a specific layout for this post/page. Overrides default site layout.", "colabsthemes" ),
								"options" => array(	"" => $url . "layout-off.png",
													"one-col" => $url . "1c.png",
													"two-col-left" => $url . "2cl.png",
													"two-col-right" => $url . "2cr.png"));							
					            
} // End post

if ( ( get_post_type() == $colabs_posttype) || ( !get_post_type() ) ) {
	$colabs_metaboxes[] = array (  "name"  => $shortname."_ad_single",
					            "std"  => "general_ad",
					            "label" => __( "Enable/Disable Ad", "colabsthemes" ),
					            "type" => "radio",
					            "desc" => __( "You can set No Ad, Custom Ad or Use General Ad that you can set on Theme Panel", "colabsthemes" ),
											"options" => array(	"none" => __("None","colabsthemes"),
													"general_ad" => __("Use General Ad","colabsthemes"),
													"custom_ad" => __("Custom Ad","colabsthemes") 
                                ));

    $colabs_metaboxes[] = array( "label" => __( "Adsense Code", "colabsthemes" ),
    					"desc" => __( "Enter your adsense code (or other ad network code) here.", "colabsthemes" ),
    					"name" => $shortname."_ad_single_adsense",
    					"std" => "",
              "class" => "custom_ad",
    					"type" => "textarea");
    
    $colabs_metaboxes[] = array( "label" => __( "Image Location", "colabsthemes" ),
    					"desc" => __( "Enter the URL to the banner ad image location.", "colabsthemes" ),
    					"name" => $shortname."_ad_single_image",
    					"std" => "",
              "class" => "custom_ad",
    					"type" => "upload");
    					
    $colabs_metaboxes[] = array( "label" => __( "Destination URL", "colabsthemes" ),
    					"desc" => __( "Enter the URL where this banner ad points to.", "colabsthemes" ),
    					"name" => $shortname."_ad_single_url",
    					"std" => "http://www.colorlabsproject.com",
                        "class" => "custom_ad",
    					"type" => "text");

    
	$url =  get_template_directory_uri() . "/functions/images/";
	$colabs_metaboxes[] = array (	"name" => "layout",
								"label" => __( "Layout", "colabsthemes" ),
								"type" => "images",
								"desc" => __( "Select a specific layout for this post/page. Overrides default site layout.", "colabsthemes" ),
								"options" => array(	"" => $url . "layout-off.png",
													"one-col" => $url . "1c.png",
													"two-col-left" => $url . "2cl.png",
													"two-col-right" => $url . "2cr.png"));
									

}

 


	


// Add extra metaboxes through function
if ( function_exists("colabs_metaboxes_add") ){
	$colabs_metaboxes = colabs_metaboxes_add($colabs_metaboxes);
    }
if ( get_option('colabs_custom_template') != $colabs_metaboxes){
    update_option('colabs_custom_template',$colabs_metaboxes);
    }
if ( get_option('colabs_metabox_settings') != $colabs_metabox_settings){
    update_option('colabs_metabox_settings',$colabs_metabox_settings);
    }
     
}
}



?>