<?php
// Add resize single product
$size = get_option( 'shop_catalog_image_size', array() );

$size['width'] 	= '252';
$size['height'] = '9999';
$size['crop'] = false;
update_option('shop_catalog_image_size',$size); 


remove_action ('woocommerce_pagination', 'woocommerce_pagination', 10 );
remove_action( 'woocommerce_pagination', 'woocommerce_catalog_ordering', 30 );
remove_action( 'woocommerce_before_shop_loop', 'woocommerce_catalog_ordering', 30 );
remove_action( 'woocommerce_before_shop_loop', 'woocommerce_result_count', 20 );
remove_action( 'get_sidebar', 'woocommerce_prevent_sidebar_cache' );

remove_action( 'woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10);
remove_action( 'woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10);
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_title', 5);
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_price', 10);
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_excerpt', 20);
remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10 );


add_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_title', 5);  
add_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_price', 20);

// Product Accordion
add_action( 'woocommerce_single_product_summary', 'colabs_single_product_accordion_open', 21);
add_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_excerpt', 22);
add_action( 'woocommerce_single_product_summary', 'colabs_template_single_attributes', 23);
add_action( 'woocommerce_single_product_summary', 'colabs_single_product_accordion_close', 24);

add_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_sharing', 50);

add_action( 'woocommerce_after_single_product_summary', 'colabs_ad_gen', 10);
remove_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10);
remove_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20, 0 );

// Remove Tabs Panel
remove_action( 'woocommerce_product_tabs', 'woocommerce_product_description_tab', 10 );
remove_action( 'woocommerce_product_tabs', 'woocommerce_product_attributes_tab', 20 );
remove_action( 'woocommerce_product_tab_panels', 'woocommerce_product_description_panel', 10 );
remove_action( 'woocommerce_product_tab_panels', 'woocommerce_product_attributes_panel', 20 );

// Tabs Filter
add_filter( 'woocommerce_product_tabs', 'colabs_wc_default_product_tabs' );
function colabs_wc_default_product_tabs( $tabs ) {
  global $post;
  // Remove additional information tab
  unset( $tabs['additional_information'] );

  // Add Custom Tabs
  $custom_tabs = get_post_meta( $post->ID, 'product_custom_tabs', true );
  if( $custom_tabs ) {
    foreach( $custom_tabs as $custom_tab ) {
      $tab_id = strtolower(preg_replace('/\s+/', '_', $custom_tab['title']));
      $tabs[$tab_id] = array(
        'type' => 'custom',
        'priority' => 50,
        'title' => $custom_tab['title'],
        'content' => $custom_tab['content']
      );
    }
  }
  
  return $tabs;
}

// Add theme support, for WooCommerce 2.1
add_theme_support( 'woocommerce' );

// Disable WooComerce style
define( 'WOOCOMMERCE_USE_CSS', false );

if ( ! function_exists( 'colabs_template_single_attributes' ) ) {
  function colabs_template_single_attributes() {
    woocommerce_get_template( 'single-product/attributes-accordion.php' );
  }
}

// Product Accordion
function colabs_single_product_accordion_open() {
  echo '<div class="product-accordion">';
}
function colabs_single_product_accordion_close() {
  echo '</div><!-- .product-accordion-->';
}

/**
 * Add New Column for Product Category List
 */
function add_product_cat_featured_columns( $columns ) {
  $columns['featured_cat'] = 'Featured';
  return $columns;
}
add_filter( 'manage_edit-product_cat_columns', 'add_product_cat_featured_columns' );

function add_product_cat_featured_column_content( $content, $column, $id ) {
  if( 'featured_cat' == $column ) {
    $featured_img = get_template_directory_uri() . '/images/featured-off.png';
    if( get_option('cat_featured_'.$id) ) {
      $featured_img = get_template_directory_uri() . '/images/featured.png';
    }
    $content = '<img src="'. $featured_img .'" width="14" height="14">';
  }
  return $content;
}
add_filter( 'manage_product_cat_custom_column', 'add_product_cat_featured_column_content', 10, 3 );



/**
* Add Notification if user still using older WooCommerce
*/
add_action( 'admin_notices', 'colabs_check_woocommerce_version' );
function colabs_check_woocommerce_version() { 
  global $woocommerce; 
  $is_old_woocommerce = version_compare($woocommerce->version, "2.1", "<="); 

  if( $is_old_woocommerce ) : ?>
    <div class="updated">
      <p><?php _e( sprintf('You have WooCommerce %s installed. This theme depends on latest WooCommerce version, please update your WooCommerce, at least version to 2.1.x', $woocommerce->version), 'colabsthemes'); ?></p>
    </div>
  <?php endif;
}

?>