<?php
/*---------------------------------------------------------------------------------*/
/* Info widget */
/*---------------------------------------------------------------------------------*/
class CoLabs_Info extends WP_Widget {

   function CoLabs_Info() {
	   $widget_ops = array('description' => 'Widget with a simple address information.' );
       parent::WP_Widget(false, __('ColorLabs - Address Info', 'colabsthemes'),$widget_ops);      
   }

   function widget($args, $instance) {  
    extract( $args );
   	$title = apply_filters('widget_title', $instance['title'] );
	?>
		<?php echo $before_widget; ?>
        <?php if ($title) { echo $before_title . $title . $after_title; } 
		$text = '<div>';
		$text .= '<p>';
		if($instance['address1']) {
			$text .= $instance['address1'] . '<br>';
		}

		if($instance['address2'] || $instance['city'] || $instance['zip-code'] ) {
			$text .= $instance['address2'] . ' ' . $instance['city'] . ' ' . $instance['zip-code'] . '<br>';
		}

		if($instance['state'] || $instance['country']) {
			if( $instance['state'] && $instance['country'] ) {
				$text .= $instance['state'] . ', ' . $instance['country'];
			} else if( $instance['state'] ) {
				$text .= $instance['state'];
			} else if( $instance['country'] ) {
				$text .= $instance['country'];
			}
			$text .= '<br>';
		}

		if($instance['phone']){
			$text .= $instance['phone'] . '<br>';
		}
		$text .= $instance['email'];
		$text .= '</p>';
		 
		$text .= '</div>';
		
		echo $text . $after_widget;
		?>   
   <?php
   }

   function update($new_instance, $old_instance) {                
		$instance = $old_instance;

		$instance['title']    = strip_tags( $new_instance['title'] );
		$instance['address1'] = $new_instance['address1'];
		$instance['address2'] = $new_instance['address2'];
		$instance['zip-code'] = $new_instance['zip-code'];
		$instance['state']    = $new_instance['state'];
		$instance['city']     = $new_instance['city'];
		$instance['country']  = $new_instance['country'];
		$instance['phone']    = $new_instance['phone'];
		$instance['email']    = $new_instance['email'];
		return $instance;
   }

   function form($instance) {        
   
       $defaults = array( 
            'title'    => __( 'Need Help?', 'colabsthemes' ),
            'address1' => 'Flamboyant Square – Seasons Building',
            'address2' => 'Jalan Sukajadi 232',
            'city'     => 'Bandung',
            'zip-code' => '40153',
            'state'    => 'West Java',
            'country'  => 'Indonesia',
			'phone'    => '+1 123.456.789',
			'email'    => 'hello@colorlabsproject.com'
        );
        
		$instance = wp_parse_args( (array) $instance, $defaults );

       ?>
       <p>
	   	   <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:','colabsthemes'); ?></label>
	       <input type="text" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $instance['title']; ?>" class="widefat" />
       </p>          
		
		<p>
			<label><?php _e( 'Address1', 'colabsthemes' ); ?>:
				<input type="text" id="<?php echo $this->get_field_id( 'address1' ); ?>" name="<?php echo $this->get_field_name( 'address1' ); ?>" value="<?php echo $instance['address1']; ?>" />
			</label>
        </p>

        <p>
			<label><?php _e( 'Address2', 'colabsthemes' ); ?>:
				<input type="text" id="<?php echo $this->get_field_id( 'address2' ); ?>" name="<?php echo $this->get_field_name( 'address2' ); ?>" value="<?php echo $instance['address2']; ?>" />
			</label>
        </p>          
		
		<p>
			<label><?php _e( 'City', 'colabsthemes' ); ?>:
				<input type="text" id="<?php echo $this->get_field_id( 'city' ); ?>" name="<?php echo $this->get_field_name( 'city' ); ?>" value="<?php echo $instance['city']; ?>" />
			</label>
        </p> 

		<p>
			<label><?php _e( 'Zip Code', 'colabsthemes' ); ?>:
				<input type="text" id="<?php echo $this->get_field_id( 'zip-code' ); ?>" name="<?php echo $this->get_field_name( 'zip-code' ); ?>" value="<?php echo $instance['zip-code']; ?>" />
			</label>
        </p>             
		
		<p>
			<label><?php _e( 'State', 'colabsthemes' ); ?>:
				<input type="text" id="<?php echo $this->get_field_id( 'state' ); ?>" name="<?php echo $this->get_field_name( 'state' ); ?>" value="<?php echo $instance['state']; ?>" />
			</label>
        </p> 

        <p>
			<label><?php _e( 'Country', 'colabsthemes' ); ?>:
				<input type="text" id="<?php echo $this->get_field_id( 'country' ); ?>" name="<?php echo $this->get_field_name( 'country' ); ?>" value="<?php echo $instance['country']; ?>" />
			</label>
        </p>      
		
		<p>
			<label><?php _e( 'Phone', 'colabsthemes' ); ?>:
				<input type="text" id="<?php echo $this->get_field_id( 'phone' ); ?>" name="<?php echo $this->get_field_name( 'phone' ); ?>" value="<?php echo $instance['phone']; ?>" />
			</label>
        </p> 
		<p>
			<label><?php _e( 'Email', 'colabsthemes' ); ?>:
				<input type="text" id="<?php echo $this->get_field_id( 'email' ); ?>" name="<?php echo $this->get_field_name( 'email' ); ?>" value="<?php echo $instance['email']; ?>" />
			</label>
        </p> 
      <?php
   }
} 

register_widget('CoLabs_Info');
?>