<?php 
get_header();
global $colabs_posttype,$colabs_taxonomy,$plugin;


$slider_args = array(
	'showposts' => -1,
	'post_type' => 'slide'
);
$slider_query = new WP_Query($slider_args);
if( $slider_query->have_posts() ) { ?>
	<section class="main-slider from-posttype">
		<div class="main-slider-container">
			<?php while( $slider_query->have_posts() ) : $slider_query->the_post(); ?>
				<?php
				$image = colabs_image('width=85&height=85&return=true');
				$url = get_post_meta( get_the_ID(), 'slide_url', true );
				if( $image && $url ) : 
					preg_match('/src="([^"]*)"/', $image, $matches);
					$src = $matches[1];
					unset($matches); ?>

					<a href="<?php echo $url; ?>" data-thumb="<?php echo $src; ?>">
						<?php colabs_image('width=1140&height=450&link=img'); ?>
						<div class="slide-text">
							<h4 class="slide-title"><?php the_title(); ?></h4>
							<div class="more"><?php _e('See Details', 'colabsthemes'); ?> <i class="icon-caret-right"></i></div>
						</div>
					</a>

				<?php endif; ?>
			<?php endwhile; wp_reset_postdata(); ?>
		</div><!-- .main-slider-container -->
		
		<div class="main-slider-dirnav">
		  <a href="#" class="prev">
			<i class="icon-chevron-left"></i><div class="thumbnail"></div>
		  </a>
		  <a href="#" class="next">
			<i class="icon-chevron-right"></i><div class="thumbnail"></div>
		  </a>
		</div><!-- .main-slider-dirnav -->
	</section><!-- .main-slider -->
<?php } else {

	// If Slider post type doesn't have post		
  if('woo'==$plugin){
		$args = array(
					'showposts'		=> -1,
					'post_type' 	=> $colabs_posttype,
					'meta_key'		=> '_featured',
					'meta_value'	=> 'yes'
					);
	}else if('jigoshop'==$plugin){
		$args = array(
					'post_type' 	=> $colabs_posttype,
					'meta_key'		=> 'featured',
					'meta_value'	=> true
					);	

	}else if('wpsc'==$plugin){
		$featured = get_option('sticky_products');
		$args = array(
					'post__in' 		=> $featured,
					'post_type' 	=> $colabs_posttype,
					'showposts'		=> -1
					);
	}
	
	$the_query = new WP_Query($args);
	if ( $the_query->have_posts() ):
	?>
	<section class="main-slider">
		<div class="main-slider-container">
		<?php 
		while ( $the_query->have_posts() ) : $the_query->the_post();		
			$image = colabs_image('width=85&height=85&return=true');

			if( !$image ) continue;

			preg_match('/src="([^"]*)"/', $image, $matches);
			$src = $matches[1];
			unset($matches);
			echo '<a href="'.get_permalink().'" data-thumb="'.$src.'">';
			colabs_image('width=1140&height=450&link=img');
			$terms = get_the_terms( $post->ID, 'brands' );
			$draught_links = array();

				echo 	'<div class="slide-text">';

				if( $terms ) {
					foreach ( $terms as $term ) {
						$draught_links[] = $term->name;
					}		
					$on_draught = join( ", ", $draught_links );
					echo 		'<h3 class="brand-title">'.$draught_links[0].'</h3>';
				}

				echo 		'<h4 class="slide-title">'.get_the_title().'</h4>';
				echo 		'<div class="more">'. __('See Product', 'colabsthemes') .' <i class="icon-caret-right"></i></div>';
				echo 	'</div>';

			echo '</a>';
		endwhile;
		?>  
		</div><!-- .main-slider-container -->
		<div class="main-slider-dirnav">
		  <a href="#" class="prev">
			<i class="icon-chevron-left"></i><div class="thumbnail"></div>
		  </a>
		  <a href="#" class="next">
			<i class="icon-chevron-right"></i><div class="thumbnail"></div>
		  </a>
		</div><!-- .main-slider-dirnav -->
		<div class="main-slider-pager"></div>
	</section><!-- .main-slider -->
	<?php endif; ?>  

<?php }// end slider_query->have_posts()  ?>
	
	<?php if( colabs_get_featured_block() ) {
		get_template_part('content', 'frontpage-featured-block');
	} else {
		get_template_part('content', 'frontpage-featured-category');
	} ?>
  
  <?php 
	$brands = get_terms( 'brands', 'orderby=count&hide_empty=1' );
	$count = count($brands);
	if ( $count > 0 ):?>
	<section class="featured-brands">
		<ul> 
			<?php 
			foreach ( $brands as $term ) {
				$brand_featured ='false';
				$brand_featured   = get_option('brand_featured_'.$term->term_id);
				if ('true'==$brand_featured){
				$thumbnail_id 	= get_option('brands_thumbnail_id_'.$term->term_id);
				$image = wp_get_attachment_url( $thumbnail_id );
				if(''!=$image) echo '<li><a href="'.get_term_link($term->slug, 'brands').'">'.colabs_image('height=62&return=true&src='.$image).'</a></li>';
				}
			}
			?>
		</ul>
		<nav class="featured-brands-nav">
		  <a href="#" class="prev"><i class="icon-chevron-left"></i></a>
		  <a href="#" class="next"><i class="icon-chevron-right"></i></a>
		</nav>
	</section><!-- .featured-brands -->
	<?php endif;?>
	
<?php get_footer();?>