<?php
/**
 * Archive template
 *
 * DISCLAIMER
 *
 * Do not edit or add directly to this file if you wish to upgrade Jigoshop to newer
 * versions in the future. If you wish to customise Jigoshop core for your needs,
 * please use our GitHub repository to publish essential changes for consideration.
 *
 * @package             Jigoshop
 * @category            Catalog
 * @author              Jigowatt
 * @copyright           Copyright © 2011-2012 Jigowatt Ltd.
 * @license             http://jigoshop.com/license/commercial-edition
 */
?>

<?php get_header('shop'); ?>
<div class="main-content-wrapper">
		<?php colabs_breadcrumbs(array('separator' => '<span class="sep">&raquo;</span>','before' => ''));?>
    
    <div class="row">
      <div class="column col9 main-content">
				<div class="page-title clearfix">
          <h2>
					<?php if (is_search()) : ?>
						<?php _e('Search Results:', 'jigoshop'); ?> &ldquo;<?php the_search_query(); ?>&rdquo; <?php if (get_query_var('paged')) echo ' &mdash; Page '.get_query_var('paged'); ?>
					<?php else : ?>
						<?php _e('All Products', 'jigoshop'); ?>
					<?php endif; ?>
					</h2>
          
          <div class="product-ordering">
						<?php //jigoshop_catalog_ordering();?>
          </div>
          
          <?php colabs_pagination();?>
        </div>
				<?php do_action('jigoshop_before_main_content');?>
				<div class="product-masonry">
					<?php
						$shop_page_id = jigoshop_get_page_id('shop');
						$shop_page = get_post($shop_page_id);
						echo apply_filters('the_content', $shop_page->post_content);
					?>

					<?php jigoshop_get_template_part( 'loop', 'shop' ); ?>
				</div>
				<?php do_action('jigoshop_after_main_content');?>
				<div class="pagination-container">
          <a href="#top" class="scroll-to"><?php _e('Back to Top','colabsthemes');?> <i class="icon-arrow-up"></i></a>
          <?php colabs_pagination();?>
        </div><!-- .pagination-container -->
			</div>
			<?php get_sidebar('shop'); ?>
		</div>
</div>		

<?php get_footer('shop'); ?>