<?php
/**
 * Loop shop template
 *
 * DISCLAIMER
 *
 * Do not edit or add directly to this file if you wish to upgrade Jigoshop to newer
 * versions in the future. If you wish to customise Jigoshop core for your needs,
 * please use our GitHub repository to publish essential changes for consideration.
 *
 * @package             Jigoshop
 * @category            Catalog
 * @author              Jigowatt
 * @copyright           Copyright © 2011-2012 Jigowatt Ltd.
 * @license             http://jigoshop.com/license/commercial-edition
 */
?>

<?php
global $columns, $per_page;

do_action('jigoshop_before_shop_loop');

$loop = 0;

if (!isset($columns) || !$columns) $columns = 4;

ob_start();

if (have_posts()) : while (have_posts()) : the_post(); $_product = new jigoshop_product( $post->ID ); $loop++;

	?>
	<li class="product">
		

		<?php do_action('jigoshop_before_shop_loop_item'); ?>	
		
		<div class="product_image"><?php colabs_image('width=252');?>
		<?php jigoshop_template_loop_add_to_cart( $post, $_product );?>
		</div>
		<h4 class="product_brands"><?php echo get_the_term_list( $post->ID, 'brands', '', ', ', '' );?></h4>
		<?php do_action('jigoshop_before_shop_loop_item_title', $post, $_product); ?>	
		<h3 class="product_title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
		<?php do_action('jigoshop_after_shop_loop_item_title', $post, $_product); ?>	
			
		<?php do_action('jigoshop_after_shop_loop_item', $post, $_product); ?>

		
	</li><?php

	if ($loop==$per_page) break;

endwhile; endif;

if (0==$loop) :

	echo '<p class="info">'.__('No products found which match your selection.', 'jigoshop').'</p>';

else :

	$found_posts = ob_get_clean();

	echo '<ul class="products">' . $found_posts . '</ul>';

endif;

do_action('jigoshop_after_shop_loop');
