<?php
/**
 * Product template
 *
 * DISCLAIMER
 *
 * Do not edit or add directly to this file if you wish to upgrade Jigoshop to newer
 * versions in the future. If you wish to customise Jigoshop core for your needs,
 * please use our GitHub repository to publish essential changes for consideration.
 *
 * @package             Jigoshop
 * @category            Catalog
 * @author              Jigowatt
 * @copyright           Copyright © 2011-2012 Jigowatt Ltd.
 * @license             http://jigoshop.com/license/commercial-edition
 */
 ?>

<?php get_header('shop'); ?>
<div class="main-content-wrapper">
   <?php colabs_breadcrumbs(array('separator' => '<span class="sep">&raquo;</span>','before' => ''));?>
    
    <div class="row">
      <div class="column col9 main-content">
        <?php do_action('jigoshop_before_main_content'); ?>
				<?php if ( have_posts() ): while ( have_posts() ) : the_post(); global $_product; $_product = new jigoshop_product( $post->ID ); ?>
    		<?php do_action('jigoshop_before_single_product', $post, $_product); ?>
				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<div class="images">

					<?php if ( has_post_thumbnail() ) : ?>
						<?php	
						$attachments = get_posts( array(
							'post_type' 	=> 'attachment',
							'numberposts' 	=> -1,
							'post_status' 	=> null,
							'post_parent' 	=> $post->ID,
							'post_mime_type'=> 'image',
							'orderby'		=> 'menu_order',
							'order'			=> 'ASC'
						) );
						$count = count($attachments);
						if ($count > 1){
						?>
						<?php foreach ( $attachments as $key => $attachment ) {?>
						<a itemprop="image" href="<?php echo wp_get_attachment_url( $attachment->ID ); ?>" class="zoom" rel="thumbnails" title="<?php echo esc_attr( $attachment->post_title ); ?>">
							<?php colabs_image('width=205&height=205&link=img&src='.$attachment->guid);?>		
						</a>
						<?php }?>
						<?php }else {?>
						<a itemprop="image" href="<?php echo wp_get_attachment_url( get_post_thumbnail_id() ); ?>" class="zoom" rel="thumbnails" title="<?php echo get_the_title( get_post_thumbnail_id() ); ?>">
							<?php colabs_image('width=615&link=img');?>		
						</a>
						<?php }?>
					<?php else :
						echo jigoshop_get_image_placeholder( 'shop_large' ); 
					endif; ?>
					</div>
					<div class="summary">
						<h3 class="product_brands"><?php echo get_the_term_list( $post->ID, 'brands', '', ', ', '' );?></h3>
						<?php do_action( 'jigoshop_template_single_summary', $post, $_product ); ?>
						<?php echo colabs_share();?>

      		</div><!-- .summary -->
					<?php do_action('jigoshop_after_single_product_summary', $post, $_product); ?>
				</div>
				<?php do_action('jigoshop_after_single_product', $post, $_product); ?>
				<?php endwhile;endif;?>
				<?php do_action('jigoshop_after_main_content'); ?>
      </div><!-- .main-content -->
      
      <?php get_sidebar('shop');?><!-- .primary-sidebar -->
    
    </div>
  </div><!-- .main-content-wrapper -->


<?php get_footer('shop'); ?>