<?php
/*
Template Name: New Arrivals
*/
?>

<?php get_header(); ?>

<?php

global $colabs_posttype, $plugin, $wp_query;
if('woo' == $plugin) {
	global $woocommerce;
	$meta_query = $woocommerce->query->get_meta_query();

	$paged = get_query_var( 'paged' ) ? absint( get_query_var( 'paged' ) ) : 1;

	$query_args = array(
		// 'posts_per_page' 	=> 4,
		// 'no_found_rows' => 1,
		'post_status' 	=> 'publish',
		'post_type' 	=> 'product',
		'orderby' 		=> 'date',
		'order' 		=> 'DESC',
		'paged' => $paged,
		'meta_query' 	=> $meta_query
	);

	// If Orderby query exists
	if( isset($orderby) ) {
		$orderby = explode('-', $orderby);
		$order = isset( $orderby[1] ) ? strtoupper($orderby[1]) : '';
		$orderby = $orderby[0];

		switch ( $orderby ) {
			case 'date' :
				$query_args['orderby']  = 'date';
				$query_args['order']    = $order == 'ASC' ? 'ASC' : 'DESC';
				$query_args['meta_key'] = '';
			break;
			case 'price' :
				$query_args['orderby']  = 'meta_value_num';
				$query_args['order']    = $order == 'DESC' ? 'DESC' : 'ASC';
				$query_args['meta_key'] = '_price';
			break;
			case 'popularity' :
				$query_args['orderby']  = 'meta_value_num';
				$query_args['order']    = $order == 'ASC' ? 'ASC' : 'DESC';
				$query_args['meta_key'] = 'total_sales';
			break;
			case 'rating' :
				$query_args['orderby']  = 'menu_order title';
				$query_args['order']    = $order == 'DESC' ? 'DESC' : 'ASC';
				$query_args['meta_key'] = '';
			break;
			case 'title' :
				$query_args['orderby']  = 'title';
				$query_args['order']    = $order == 'DESC' ? 'DESC' : 'ASC';
				$query_args['meta_key'] = '';
			break;
			// default - menu_order
			default :
				$query_args['orderby']  = 'menu_order title';
				$query_args['order']    = $order == 'DESC' ? 'DESC' : 'ASC';
				$query_args['meta_key'] = '';
			break;
		}
	}

	$newarrivals = new WP_query( $query_args );
	// $wp_query = $newarrivals;
} ?>

	<div class="main-content-wrapper">

		<?php colabs_breadcrumbs(array('separator' => '<span class="sep">&raquo;</span>','before' => ''));?>

		<div class="page-title clearfix">
			<h2><?php the_title(); ?></h2>
			<?php if('woo' == $plugin) : ?>
				<div class="product-ordering"><?php woocommerce_catalog_ordering(); ?></div>
				<?php colabs_pagination( array(), $newarrivals );?>
			<?php endif; ?>
			
		</div>

		<div class="product-masonry">
			
			<?php if( isset( $newarrivals ) && $newarrivals->have_posts() ) : ?>
				
				<?php if('woo' == $plugin) : ?>
					<?php do_action('woocommerce_before_shop_loop'); ?>
				<?php endif; ?>

				<ul class="products">
					<?php while ( $newarrivals->have_posts() ) : $newarrivals->the_post(); ?>

						<?php 
						if('woo' == $plugin):
							woocommerce_get_template_part( 'content', 'product' ); 
						elseif('jigoshop' == $plugin):
							jigoshop_get_template_part( 'loop', 'shop' );
						elseif('wpsc' == $plugin):	
							get_template_part( 'wpsc/loop', 'product' );
						endif;
						?>

					<?php endwhile; // end of the loop. ?>
				</ul>

			<?php endif; ?>

		</div><!-- .product-masonry -->

	</div><!-- .main-content-wrapper -->

<?php get_footer(); ?>