<?php
/*
Template Name: Product On Sale
*/
?>

<?php get_header(); ?>

<?php

wp_reset_postdata();
global $colabs_posttype, $plugin, $wp_query;
if('post' != $plugin):
if('woo' == $plugin):
	global $woocommerce;
	$product_ids_on_sale = woocommerce_get_product_ids_on_sale();
	$product_ids_on_sale[] = 0;
	$meta_query = $woocommerce->query->get_meta_query();
	
	// Order
	$orderby = explode('-', $orderby);
	$order = isset( $orderby[1] ) ? strtoupper($orderby[1]) : '';
	$orderby = $orderby[0];

	$query_args = array(
		'posts_per_page' 	=> -1,
		'no_found_rows' => 1,
		'post_status' 	=> 'publish',
		'post_type' 	=> 'product',
		'orderby' 		=> 'date',
		'order' 		=> 'ASC',
		'meta_query' 	=> $meta_query,
		'post__in'		=> $product_ids_on_sale
	);

	if( $orderby ) {
		switch ( $orderby ) {
			case 'date' :
				$query_args['orderby']  = 'date';
				$query_args['order']    = $order == 'ASC' ? 'ASC' : 'DESC';
				$query_args['meta_key'] = '';
			break;
			case 'price' :
				$query_args['orderby']  = 'meta_value_num';
				$query_args['order']    = $order == 'DESC' ? 'DESC' : 'ASC';
				$query_args['meta_key'] = '_price';
			break;
			case 'popularity' :
				$query_args['orderby']  = 'meta_value_num';
				$query_args['order']    = $order == 'ASC' ? 'ASC' : 'DESC';
				$query_args['meta_key'] = 'total_sales';
			break;
			case 'rating' :
				$query_args['orderby']  = 'menu_order title';
				$query_args['order']    = $order == 'DESC' ? 'DESC' : 'ASC';
				$query_args['meta_key'] = '';
			break;
			case 'title' :
				$query_args['orderby']  = 'title';
				$query_args['order']    = $order == 'DESC' ? 'DESC' : 'ASC';
				$query_args['meta_key'] = '';
			break;
			// default - menu_order
			default :
				$query_args['orderby']  = 'menu_order title';
				$query_args['order']    = $order == 'DESC' ? 'DESC' : 'ASC';
				$query_args['meta_key'] = '';
			break;
		}
	}

	$latestproducts = new WP_query( $query_args );
	$wp_query = $latestproducts;
endif;									
?>

<div class="main-content-wrapper">

	<?php colabs_breadcrumbs(array('separator' => '<span class="sep">&raquo;</span>','before' => ''));?>

	<div class="page-title clearfix">
		<h2><?php the_title(); ?></h2>
		<?php if('woo' == $plugin) : ?>
			<div class="product-ordering"><?php woocommerce_catalog_ordering(); ?></div>
		<?php endif; ?>
	</div>

	<div class="product-masonry">
		
		<?php if( isset($latestproducts) && $latestproducts->have_posts() ) : ?>

		<ul class="products">

				<?php while ( $latestproducts->have_posts() ) : $latestproducts->the_post(); ?>

					<?php 
					if('woo' == $plugin):
						woocommerce_get_template_part( 'content', 'product' ); 
					elseif('jigoshop' == $plugin):
						jigoshop_get_template_part( 'loop', 'shop' );
					elseif('wpsc' == $plugin):	
						get_template_part( 'wpsc/loop', 'product' );
					endif;
					?>

				<?php endwhile; // end of the loop. ?>

		</ul>

		<?php else : ?>
			<?php _e('There is no products on sale currently.', 'colabsthemes');?>		
		<?php endif; ?>
	</div><!-- .product-masonry -->

</div><!-- .main-content-wrapper -->
	
<?php wp_reset_query(); endif; //endif ('post' != $plugin) ?>	
<?php get_footer(); ?>