<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive.
 *
 * Override this template by copying it to yourtheme/woocommerce/archive-product.php
 *
 * @author    WooThemes
 * @package   WooCommerce/Templates
 * @version     2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

get_header('shop'); ?>

<div class="main-content-wrapper">
	<?php colabs_breadcrumbs(array('separator' => '<span class="sep">&raquo;</span>','before' => ''));?>
    
  <div class="row">
    <div class="column col9 main-content">
      
      <div class="page-title clearfix">
        <h2>
				  <?php if ( is_search() ) : ?>
						<?php printf( __( 'Search Results: &ldquo;%s&rdquo;', 'woocommerce' ), get_search_query() ); ?>
				  <?php elseif ( is_tax() ) : ?>
						<?php echo single_term_title( "", false ); ?>
				  <?php else : ?>
            <?php 
						$shop_page = get_post( woocommerce_get_page_id( 'shop' ) );
						echo apply_filters( 'the_title', ( $shop_page_title = get_option( 'woocommerce_shop_page_title' ) ) ? $shop_page_title : $shop_page->post_title );
            ?>
				  <?php endif; ?>
						
				  <?php if ( get_query_var( 'paged' ) ) : ?>
            <?php printf( __( '&nbsp;&ndash; Page %s', 'woocommerce' ), get_query_var( 'paged' ) ); ?>
			   	<?php endif; ?>
				</h2>
        
        <div class="product-ordering">
					<?php woocommerce_catalog_ordering();?>
        </div>
        
        <?php colabs_pagination();?>
      </div>
			
			<?php
        /**
         * woocommerce_before_main_content hook
         *
         * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
         * @hooked woocommerce_breadcrumb - 20
         */
        do_action( 'woocommerce_before_main_content' );
      ?>

      <div class="product-masonry">
				<?php if ( have_posts() ) : ?>
		
  				<?php
            /**
             * woocommerce_before_shop_loop hook
             *
             * @hooked woocommerce_result_count - 20
             * @hooked woocommerce_catalog_ordering - 30
             */
            do_action( 'woocommerce_before_shop_loop' );
          ?>

          <ul class="products">
            <?php woocommerce_product_subcategories(); ?>
  		
  					<?php while ( have_posts() ) : the_post(); ?>
  			
  						<?php woocommerce_get_template_part( 'content', 'product' ); ?>
  			
  					<?php endwhile; // end of the loop. ?>
          </ul><!-- .products -->

				<?php else : ?>
		
				  <?php if ( ! woocommerce_product_subcategories( array( 'before' => '<ul class="products">', 'after' => '</ul>' ) ) ) : ?>
								
			 		  <p><?php _e( 'No products found which match your selection.', 'woocommerce' ); ?></p>
								
					<?php endif; ?>
					
				<?php endif; ?>
      </div><!-- .product-masonry -->

      <?php
        /**
         * woocommerce_after_main_content hook
         *
         * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
         */
        do_action( 'woocommerce_after_main_content' );
      ?>
			
      <div class="pagination-container">
        <a href="#top" class="scroll-to"><?php _e('Back to Top','colabsthemes');?> <i class="icon-arrow-up"></i></a>
        <?php colabs_pagination();?>
      </div><!-- .pagination-container -->
    </div><!-- .main-content -->
    
		<?php get_sidebar('shop'); ?>
  </div>
</div><!-- .main-content-wrapper -->

<?php get_footer('shop'); ?>