<?php
/**
 * The template for displaying product content within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version   1.6.4
 */
 
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $product, $woocommerce_loop;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) )
	$woocommerce_loop['loop'] = 0;

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) )
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );

// Ensure visibility
if ( ! $product || ! $product->is_visible() )
	return;

// Increase loop count
$woocommerce_loop['loop']++;

// Extra post classes
$classes = array();
if ( 0 == ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 == $woocommerce_loop['columns'] )
	$classes[] = 'first';
if ( 0 == $woocommerce_loop['loop'] % $woocommerce_loop['columns'] )
	$classes[] = 'last';
?>

<li class="product">

	<?php do_action( 'woocommerce_before_shop_loop_item' ); ?>

	<div class="product_image">

		<a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( get_the_title() ); ?>">
			<?php echo woocommerce_get_product_thumbnail();?>
		</a>

		<?php woocommerce_get_template('loop/add-to-cart.php'); ?>
	</div>
	<?php //get_the_term_list( $id, $taxonomy, $before, $sep, $after ); ?>
  <h4 class="product_brands"><?php echo get_the_term_list( $post->ID, 'brands', '', ', ', '' );?></h4>
	<?php
		/** 
		 * woocommerce_before_shop_loop_item_title hook
		 *
		 * @hooked woocommerce_show_product_loop_sale_flash - 10
		 * @hooked woocommerce_template_loop_product_thumbnail - 10
		 */	  
		do_action( 'woocommerce_before_shop_loop_item_title' ); 
	?>
  <h3 class="product_title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
	<?php
		/** 
		 * woocommerce_after_shop_loop_item_title hook
		 *
		 * @hooked woocommerce_template_loop_price - 10
		 */	  
		do_action( 'woocommerce_after_shop_loop_item_title' );
	?>

	<?php do_action( 'woocommerce_after_shop_loop_item' ); ?>	
</li>