<?php
/**
 * Related Products
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

global $product, $woocommerce_loop;

$related = $product->get_related( $posts_per_page );

if ( 0 == sizeof($related) ) return;

$args = apply_filters( 'woocommerce_related_products_args', array(
	'post_type'				=> 'product',
	'ignore_sticky_posts'	=> 1,
	'no_found_rows' 		=> 1,
	'posts_per_page' 		=> $posts_per_page,
	'orderby' 				=> $orderby,
	'post__in' 				=> $related,
	'post__not_in'			=> array( $product->id )
) );

$products = new WP_Query( $args );

$woocommerce_loop['columns'] 	= $columns;

if ( $products->have_posts() ) : ?>
	
	<div class="related_products">
		<h3><?php _e('Related Products', 'woocommerce'); ?></h3>
		<div class="product-masonry">
			<ul class="products">
				
				<?php while ( $products->have_posts() ) : $products->the_post(); ?>
			
					<?php woocommerce_get_template_part( 'content', 'product' ); ?>
		
				<?php endwhile; // end of the loop. ?>
					
			</ul>
			
		</div>
	</div><!-- .related_products -->
	
<?php endif; 

wp_reset_postdata();
